import{S as F$,i as q$,s as B$,e as a,k as p,w as v,t as i,M as j$,c as s,d as t,m as u,a as r,x as y,h as d,b as m,G as e,g as k,y as T,q as w,o as $,B as x,v as E$,L as P}from"../../chunks/vendor-hf-doc-builder.js";import{T as mt}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as E}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as V}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as A}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function C$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import MBartConfig, MBartModel

# Initializing a MBART facebook/mbart-large-cc25 style configuration
configuration = MBartConfig()

# Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration
model = MBartModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartConfig, MBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a MBART facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = MBartConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function A$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Examples:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function P$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import MBartTokenizerFast

tokenizer = MBartTokenizerFast.from_pretrained(
    "facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO"
)
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizerFast.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Examples:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function S$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import MBart50Tokenizer

tokenizer = MBart50Tokenizer.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50Tokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50Tokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Examples:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function O$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import MBart50TokenizerFast

tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50TokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Examples:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function I$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function N$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartModel
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function D$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function L$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-en-ro")

example_english_phrase = "42 is the answer"
inputs = tokenizer(example_english_phrase, return_tensors="pt")

# Translate
generated_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5)
tokenizer.batch_decode(generated_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;42 is the answer&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Translate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;42 este r\u0103spuns&#x27;</span>`}}),{c(){l=a("p"),b=i("Translation example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Translation example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function G$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"

input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="pt")["input_ids"]
logits = model(input_ids).logits

masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero().item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()
[<span class="hljs-string">&#x27;nett&#x27;</span>, <span class="hljs-string">&#x27;sehr&#x27;</span>, <span class="hljs-string">&#x27;ganz&#x27;</span>, <span class="hljs-string">&#x27;nicht&#x27;</span>, <span class="hljs-string">&#x27;so&#x27;</span>]`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Mask filling example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function W$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function R$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function U$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function X$(M){let l,b,f,h,g;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of single-label classification:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example of single-label classification:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Q$(M){let l,b,f,h,g;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained(
    "facebook/mbart-large-cc25", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of multi-label classification:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example of multi-label classification:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function H$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForCausalLM

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForCausalLM.from_pretrained("facebook/mbart-large-cc25", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function V$(M){let l,b,f,h,g,n,c,q,ft,Ye,U,De,Le,B,be,ve,_t,et,X,pe,Ge,K,gt,We,ye,tt,ue,Te,we,kt,Re,S,I,bt,he,re,vt,J,yt,Tt,O,wt,me,ie,fe,de,$e,$t,Z,xt,_e,R,Ue,N,Mt,Y,Xe,zt;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),g=i(" accept two formats as input:"),n=p(),c=a("ul"),q=a("li"),ft=i("having all inputs as keyword arguments (like PyTorch models), or"),Ye=p(),U=a("li"),De=i("having all inputs as a list, tuple or dict in the first positional argument."),Le=p(),B=a("p"),be=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ve=a("code"),_t=i("model.fit()"),et=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),X=a("code"),pe=i("model.fit()"),Ge=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a("code"),gt=i("fit()"),We=i(" and "),ye=a("code"),tt=i("predict()"),ue=i(`, such as when creating your own layers or models with
the Keras `),Te=a("code"),we=i("Functional"),kt=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Re=p(),S=a("ul"),I=a("li"),bt=i("a single Tensor with "),he=a("code"),re=i("input_ids"),vt=i(" only and nothing else: "),J=a("code"),yt=i("model(input_ids)"),Tt=p(),O=a("li"),wt=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),me=a("code"),ie=i("model([input_ids, attention_mask])"),fe=i(" or "),de=a("code"),$e=i("model([input_ids, attention_mask, token_type_ids])"),$t=p(),Z=a("li"),xt=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),_e=a("code"),R=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue=p(),N=a("p"),Mt=i(`Note that when creating models and layers with
`),Y=a("a"),Xe=i("subclassing"),zt=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var j=r(l);b=d(j,"TensorFlow models and layers in "),f=s(j,"CODE",{});var Jt=r(f);h=d(Jt,"transformers"),Jt.forEach(t),g=d(j," accept two formats as input:"),j.forEach(t),n=u(z),c=s(z,"UL",{});var Qe=r(c);q=s(Qe,"LI",{});var Ft=r(q);ft=d(Ft,"having all inputs as keyword arguments (like PyTorch models), or"),Ft.forEach(t),Ye=u(Qe),U=s(Qe,"LI",{});var Zt=r(U);De=d(Zt,"having all inputs as a list, tuple or dict in the first positional argument."),Zt.forEach(t),Qe.forEach(t),Le=u(z),B=s(z,"P",{});var C=r(B);be=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ve=s(C,"CODE",{});var Nt=r(ve);_t=d(Nt,"model.fit()"),Nt.forEach(t),et=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),X=s(C,"CODE",{});var te=r(X);pe=d(te,"model.fit()"),te.forEach(t),Ge=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=s(C,"CODE",{});var Yt=r(K);gt=d(Yt,"fit()"),Yt.forEach(t),We=d(C," and "),ye=s(C,"CODE",{});var He=r(ye);tt=d(He,"predict()"),He.forEach(t),ue=d(C,`, such as when creating your own layers or models with
the Keras `),Te=s(C,"CODE",{});var qt=r(Te);we=d(qt,"Functional"),qt.forEach(t),kt=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),Re=u(z),S=s(z,"UL",{});var le=r(S);I=s(le,"LI",{});var xe=r(I);bt=d(xe,"a single Tensor with "),he=s(xe,"CODE",{});var eo=r(he);re=d(eo,"input_ids"),eo.forEach(t),vt=d(xe," only and nothing else: "),J=s(xe,"CODE",{});var Bt=r(J);yt=d(Bt,"model(input_ids)"),Bt.forEach(t),xe.forEach(t),Tt=u(le),O=s(le,"LI",{});var Me=r(O);wt=d(Me,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),me=s(Me,"CODE",{});var to=r(me);ie=d(to,"model([input_ids, attention_mask])"),to.forEach(t),fe=d(Me," or "),de=s(Me,"CODE",{});var jt=r(de);$e=d(jt,"model([input_ids, attention_mask, token_type_ids])"),jt.forEach(t),Me.forEach(t),$t=u(le),Z=s(le,"LI",{});var Et=r(Z);xt=d(Et,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),_e=s(Et,"CODE",{});var oo=r(_e);R=d(oo,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oo.forEach(t),Et.forEach(t),le.forEach(t),Ue=u(z),N=s(z,"P",{});var Ee=r(N);Mt=d(Ee,`Note that when creating models and layers with
`),Y=s(Ee,"A",{href:!0,rel:!0});var ot=r(Y);Xe=d(ot,"subclassing"),ot.forEach(t),zt=d(Ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ee.forEach(t),this.h()},h(){m(Y,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(Y,"rel","nofollow")},m(z,j){k(z,l,j),e(l,b),e(l,f),e(f,h),e(l,g),k(z,n,j),k(z,c,j),e(c,q),e(q,ft),e(c,Ye),e(c,U),e(U,De),k(z,Le,j),k(z,B,j),e(B,be),e(B,ve),e(ve,_t),e(B,et),e(B,X),e(X,pe),e(B,Ge),e(B,K),e(K,gt),e(B,We),e(B,ye),e(ye,tt),e(B,ue),e(B,Te),e(Te,we),e(B,kt),k(z,Re,j),k(z,S,j),e(S,I),e(I,bt),e(I,he),e(he,re),e(I,vt),e(I,J),e(J,yt),e(S,Tt),e(S,O),e(O,wt),e(O,me),e(me,ie),e(O,fe),e(O,de),e(de,$e),e(S,$t),e(S,Z),e(Z,xt),e(Z,_e),e(_e,R),k(z,Ue,j),k(z,N,j),e(N,Mt),e(N,Y),e(Y,Xe),e(N,zt)},d(z){z&&t(l),z&&t(n),z&&t(c),z&&t(Le),z&&t(B),z&&t(Re),z&&t(S),z&&t(Ue),z&&t(N)}}}function K$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function J$(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = TFMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Z$(M){let l,b,f,h,g,n,c,q,ft,Ye,U,De,Le,B,be,ve,_t,et,X,pe,Ge,K,gt,We,ye,tt,ue,Te,we,kt,Re,S,I,bt,he,re,vt,J,yt,Tt,O,wt,me,ie,fe,de,$e,$t,Z,xt,_e,R,Ue,N,Mt,Y,Xe,zt;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),g=i(" accept two formats as input:"),n=p(),c=a("ul"),q=a("li"),ft=i("having all inputs as keyword arguments (like PyTorch models), or"),Ye=p(),U=a("li"),De=i("having all inputs as a list, tuple or dict in the first positional argument."),Le=p(),B=a("p"),be=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ve=a("code"),_t=i("model.fit()"),et=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),X=a("code"),pe=i("model.fit()"),Ge=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a("code"),gt=i("fit()"),We=i(" and "),ye=a("code"),tt=i("predict()"),ue=i(`, such as when creating your own layers or models with
the Keras `),Te=a("code"),we=i("Functional"),kt=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Re=p(),S=a("ul"),I=a("li"),bt=i("a single Tensor with "),he=a("code"),re=i("input_ids"),vt=i(" only and nothing else: "),J=a("code"),yt=i("model(input_ids)"),Tt=p(),O=a("li"),wt=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),me=a("code"),ie=i("model([input_ids, attention_mask])"),fe=i(" or "),de=a("code"),$e=i("model([input_ids, attention_mask, token_type_ids])"),$t=p(),Z=a("li"),xt=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),_e=a("code"),R=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue=p(),N=a("p"),Mt=i(`Note that when creating models and layers with
`),Y=a("a"),Xe=i("subclassing"),zt=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var j=r(l);b=d(j,"TensorFlow models and layers in "),f=s(j,"CODE",{});var Jt=r(f);h=d(Jt,"transformers"),Jt.forEach(t),g=d(j," accept two formats as input:"),j.forEach(t),n=u(z),c=s(z,"UL",{});var Qe=r(c);q=s(Qe,"LI",{});var Ft=r(q);ft=d(Ft,"having all inputs as keyword arguments (like PyTorch models), or"),Ft.forEach(t),Ye=u(Qe),U=s(Qe,"LI",{});var Zt=r(U);De=d(Zt,"having all inputs as a list, tuple or dict in the first positional argument."),Zt.forEach(t),Qe.forEach(t),Le=u(z),B=s(z,"P",{});var C=r(B);be=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ve=s(C,"CODE",{});var Nt=r(ve);_t=d(Nt,"model.fit()"),Nt.forEach(t),et=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),X=s(C,"CODE",{});var te=r(X);pe=d(te,"model.fit()"),te.forEach(t),Ge=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=s(C,"CODE",{});var Yt=r(K);gt=d(Yt,"fit()"),Yt.forEach(t),We=d(C," and "),ye=s(C,"CODE",{});var He=r(ye);tt=d(He,"predict()"),He.forEach(t),ue=d(C,`, such as when creating your own layers or models with
the Keras `),Te=s(C,"CODE",{});var qt=r(Te);we=d(qt,"Functional"),qt.forEach(t),kt=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),Re=u(z),S=s(z,"UL",{});var le=r(S);I=s(le,"LI",{});var xe=r(I);bt=d(xe,"a single Tensor with "),he=s(xe,"CODE",{});var eo=r(he);re=d(eo,"input_ids"),eo.forEach(t),vt=d(xe," only and nothing else: "),J=s(xe,"CODE",{});var Bt=r(J);yt=d(Bt,"model(input_ids)"),Bt.forEach(t),xe.forEach(t),Tt=u(le),O=s(le,"LI",{});var Me=r(O);wt=d(Me,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),me=s(Me,"CODE",{});var to=r(me);ie=d(to,"model([input_ids, attention_mask])"),to.forEach(t),fe=d(Me," or "),de=s(Me,"CODE",{});var jt=r(de);$e=d(jt,"model([input_ids, attention_mask, token_type_ids])"),jt.forEach(t),Me.forEach(t),$t=u(le),Z=s(le,"LI",{});var Et=r(Z);xt=d(Et,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),_e=s(Et,"CODE",{});var oo=r(_e);R=d(oo,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oo.forEach(t),Et.forEach(t),le.forEach(t),Ue=u(z),N=s(z,"P",{});var Ee=r(N);Mt=d(Ee,`Note that when creating models and layers with
`),Y=s(Ee,"A",{href:!0,rel:!0});var ot=r(Y);Xe=d(ot,"subclassing"),ot.forEach(t),zt=d(Ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ee.forEach(t),this.h()},h(){m(Y,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(Y,"rel","nofollow")},m(z,j){k(z,l,j),e(l,b),e(l,f),e(f,h),e(l,g),k(z,n,j),k(z,c,j),e(c,q),e(q,ft),e(c,Ye),e(c,U),e(U,De),k(z,Le,j),k(z,B,j),e(B,be),e(B,ve),e(ve,_t),e(B,et),e(B,X),e(X,pe),e(B,Ge),e(B,K),e(K,gt),e(B,We),e(B,ye),e(ye,tt),e(B,ue),e(B,Te),e(Te,we),e(B,kt),k(z,Re,j),k(z,S,j),e(S,I),e(I,bt),e(I,he),e(he,re),e(I,vt),e(I,J),e(J,yt),e(S,Tt),e(S,O),e(O,wt),e(O,me),e(me,ie),e(O,fe),e(O,de),e(de,$e),e(S,$t),e(S,Z),e(Z,xt),e(Z,_e),e(_e,R),k(z,Ue,j),k(z,N,j),e(N,Mt),e(N,Y),e(Y,Xe),e(N,zt)},d(z){z&&t(l),z&&t(n),z&&t(c),z&&t(Le),z&&t(B),z&&t(Re),z&&t(S),z&&t(Ue),z&&t(N)}}}function Y$(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function ex(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration, MBartConfig

model = TFMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

ARTICLE_TO_SUMMARIZE = "Meine Freunde sind cool, aber sie essen zu viel Kuchen."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors="tf")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5)
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration, MBartConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;Meine Freunde sind cool, aber sie essen zu viel Kuchen.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){l=a("p"),b=i("Summarization example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Summarization example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function tx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="tf")["input_ids"]

logits = model(input_ids).logits
probs = tf.nn.softmax(logits[0])
# probs[5] is associated with the mask token`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = tf.nn.softmax(logits[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># probs[5] is associated with the mask token</span>`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Mask filling example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ox(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function nx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartModel

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ax(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function sx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function rx(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function ix(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

ARTICLE_TO_SUMMARIZE = "Meine Freunde sind cool, aber sie essen zu viel Kuchen."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5).sequences
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;Meine Freunde sind cool, aber sie essen zu viel Kuchen.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){l=a("p"),b=i("Summarization example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Summarization example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function dx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="np")["input_ids"]

logits = model(input_ids).logits
masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero()[0].item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero()[<span class="hljs-number">0</span>].item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Mask filling example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function lx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function cx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function px(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function ux(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function hx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function mx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function fx(M){let l,b,f,h,g;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(c,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),g=d(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(n,c){k(n,l,c),e(l,b),e(l,f),e(f,h),e(l,g)},d(n){n&&t(l)}}}function _x(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function gx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function kx(M){let l,b,f,h,g;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=p(),v(h.$$.fragment)},l(n){l=s(n,"P",{});var c=r(l);b=d(c,"Example:"),c.forEach(t),f=u(n),y(h.$$.fragment,n)},m(n,c){k(n,l,c),e(l,b),k(n,f,c),T(h,n,c),g=!0},p:P,i(n){g||(w(h.$$.fragment,n),g=!0)},o(n){$(h.$$.fragment,n),g=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function bx(M){let l,b,f,h,g,n,c,q,ft,Ye,U,De,Le,B,be,ve,_t,et,X,pe,Ge,K,gt,We,ye,tt,ue,Te,we,kt,Re,S,I,bt,he,re,vt,J,yt,Tt,O,wt,me,ie,fe,de,$e,$t,Z,xt,_e,R,Ue,N,Mt,Y,Xe,zt,z,j,Jt,Qe,Ft,Zt,C,Nt,te,Yt,He,qt,le,xe,eo,Bt,Me,to,jt,Et,oo,Ee,ot,gd,Ph,gp,Ea,kp,yi,Ca,kd,Sh,Oh,no,Ih,bd,Nh,Dh,vd,Lh,Gh,bp,Aa,vp,ao,Wo,yd,Pa,Wh,Td,Rh,yp,Dt,Uh,Sa,Xh,Qh,wd,Hh,Vh,Tp,Ti,Kh,wp,wi,$d,Jh,$p,so,Ro,xd,Oa,Zh,Md,Yh,xp,nt,em,zd,tm,om,Fd,nm,am,qd,sm,rm,Mp,Uo,im,$i,dm,lm,zp,xi,Bd,cm,Fp,Ia,qp,Mi,Na,jd,pm,um,ze,hm,Ed,mm,fm,Cd,_m,gm,Ad,km,bm,Pd,vm,ym,Sd,Tm,wm,Bp,Da,jp,ro,Xo,Od,La,$m,Id,xm,Ep,Ve,Ga,Mm,io,zm,zi,Fm,qm,Wa,Bm,jm,Em,lo,Cm,Fi,Am,Pm,qi,Sm,Om,Im,Qo,Cp,co,Ho,Nd,Ra,Nm,Dd,Dm,Ap,ce,Ua,Lm,Ld,Gm,Wm,Ct,Rm,Bi,Um,Xm,ji,Qm,Hm,Xa,Vm,Km,Jm,po,Zm,Gd,Ym,ef,Wd,tf,of,nf,Vo,af,at,Qa,sf,Ha,rf,Rd,df,lf,cf,Va,Ka,Ud,pf,uf,Xd,hf,mf,Ja,Qd,ff,_f,Hd,gf,kf,Vd,bf,Pp,uo,Ko,Kd,Za,vf,Jd,yf,Sp,D,Ya,Tf,ho,wf,Zd,$f,xf,es,Mf,zf,Ff,ts,qf,Ei,Bf,jf,Ef,mo,Cf,Yd,Af,Pf,el,Sf,Of,If,Jo,Nf,Ce,os,Df,tl,Lf,Gf,ns,Wf,ol,Rf,Uf,Xf,as,ss,nl,Qf,Hf,al,Vf,Kf,rs,sl,Jf,Zf,rl,Yf,e_,il,t_,o_,Zo,is,n_,dl,a_,s_,Yo,ds,r_,ll,i_,d_,en,ls,l_,cl,c_,Op,fo,tn,pl,cs,p_,ul,u_,Ip,L,ps,h_,us,m_,hs,f_,__,g_,ms,k_,Ci,b_,v_,y_,on,T_,st,fs,w_,_s,$_,hl,x_,M_,z_,gs,ks,ml,F_,q_,fl,B_,j_,bs,_l,E_,C_,gl,A_,P_,kl,S_,O_,nn,vs,I_,bl,N_,D_,an,ys,L_,Ts,G_,vl,W_,R_,U_,sn,ws,X_,yl,Q_,H_,rn,$s,V_,Tl,K_,Np,_o,dn,wl,xs,J_,$l,Z_,Dp,ee,Ms,Y_,go,eg,xl,tg,og,zs,ng,ag,sg,Fs,rg,Ai,ig,dg,lg,ln,cg,Ae,qs,pg,Ml,ug,hg,Bs,mg,zl,fg,_g,gg,js,Es,Fl,kg,bg,ql,vg,yg,Cs,Bl,Tg,wg,jl,$g,xg,El,Mg,zg,cn,As,Fg,Cl,qg,Bg,pn,Ps,jg,Al,Eg,Lp,ko,un,Pl,Ss,Cg,Sl,Ag,Gp,Ke,Os,Pg,Is,Sg,Pi,Og,Ig,Ng,Ns,Dg,Ds,Lg,Gg,Wg,rt,Ls,Rg,bo,Ug,Si,Xg,Qg,Ol,Hg,Vg,Kg,hn,Jg,mn,Wp,vo,fn,Il,Gs,Zg,Nl,Yg,Rp,Je,Ws,ek,Rs,tk,Oi,ok,nk,ak,Us,sk,Xs,rk,ik,dk,Pe,Qs,lk,yo,ck,Ii,pk,uk,Dl,hk,mk,fk,_n,_k,gn,gk,kn,Up,To,bn,Ll,Hs,kk,Gl,bk,Xp,Fe,Vs,vk,wo,yk,Wl,Tk,wk,Rl,$k,xk,Mk,Ks,zk,Ni,Fk,qk,Bk,Js,jk,Zs,Ek,Ck,Ak,it,Ys,Pk,$o,Sk,Di,Ok,Ik,Ul,Nk,Dk,Lk,vn,Gk,yn,Qp,xo,Tn,Xl,er,Wk,Ql,Rk,Hp,qe,tr,Uk,Hl,Xk,Qk,or,Hk,Li,Vk,Kk,Jk,nr,Zk,ar,Yk,eb,tb,Se,sr,ob,Mo,nb,Gi,ab,sb,Vl,rb,ib,db,wn,lb,$n,cb,xn,Vp,zo,Mn,Kl,rr,pb,Jl,ub,Kp,Fo,ir,hb,zn,dr,mb,Fn,Jp,qo,qn,Zl,lr,fb,Yl,_b,Zp,Be,cr,gb,pr,kb,Wi,bb,vb,yb,ur,Tb,hr,wb,$b,xb,Bn,Mb,dt,mr,zb,Bo,Fb,Ri,qb,Bb,ec,jb,Eb,Cb,jn,Ab,En,Yp,jo,Cn,tc,fr,Pb,oc,Sb,eu,je,_r,Ob,gr,Ib,Ui,Nb,Db,Lb,kr,Gb,br,Wb,Rb,Ub,An,Xb,Oe,vr,Qb,Eo,Hb,Xi,Vb,Kb,nc,Jb,Zb,Yb,Pn,ev,Sn,tv,On,tu,Co,In,ac,yr,ov,sc,nv,ou,Q,Tr,av,wr,sv,Qi,rv,iv,dv,$r,lv,xr,cv,pv,uv,rc,hv,mv,At,ic,Mr,fv,_v,dc,zr,gv,kv,lc,Fr,bv,vv,cc,qr,yv,Tv,lt,Br,wv,Ao,$v,pc,xv,Mv,uc,zv,Fv,qv,Nn,Bv,Dn,jv,Ln,jr,Ev,Gn,Cv,Wn,Er,Av,Rn,nu,Po,Un,hc,Cr,Pv,mc,Sv,au,H,Ar,Ov,Pr,Iv,Hi,Nv,Dv,Lv,Sr,Gv,Or,Wv,Rv,Uv,fc,Xv,Qv,Pt,_c,Ir,Hv,Vv,gc,Nr,Kv,Jv,kc,Dr,Zv,Yv,bc,Lr,ey,ty,Ie,Gr,oy,So,ny,vc,ay,sy,yc,ry,iy,dy,Xn,ly,Qn,cy,Hn,py,Vn,Wr,uy,Kn,hy,Jn,Rr,my,Zn,su,Oo,Yn,Tc,Ur,fy,wc,_y,ru,G,Xr,gy,$c,ky,by,Qr,vy,Vi,yy,Ty,wy,Hr,$y,Vr,xy,My,zy,xc,Fy,qy,St,Mc,Kr,By,jy,zc,Jr,Ey,Cy,Fc,Zr,Ay,Py,qc,Yr,Sy,Oy,ct,ei,Iy,Io,Ny,Bc,Dy,Ly,jc,Gy,Wy,Ry,ea,Uy,ta,Xy,oa,ti,Qy,na,Hy,aa,oi,Vy,sa,iu,No,ra,Ec,ni,Ky,Cc,Jy,du,W,ai,Zy,Do,Yy,Ac,eT,tT,Pc,oT,nT,aT,si,sT,Ki,rT,iT,dT,ri,lT,ii,cT,pT,uT,Sc,hT,mT,Ot,Oc,di,fT,_T,Ic,li,gT,kT,Nc,ci,bT,vT,Dc,pi,yT,TT,pt,ui,wT,Lo,$T,Lc,xT,MT,Gc,zT,FT,qT,ia,BT,da,jT,la,hi,ET,ca,CT,pa,mi,AT,ua,lu;return n=new V({}),K=new V({}),$e=new V({}),Ea=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = "UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
# forward pass
model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model(**inputs)`}}),Aa=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX")
article = "UN Chief Says There Is No Military Solution in Syria"
inputs = tokenizer(article, return_tensors="pt")
translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id["ro_RO"])
tokenizer.batch_decode(translated_tokens, skip_special_tokens=True)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>article = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(article, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;ro_RO&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(translated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>`}}),Pa=new V({}),Oa=new V({}),Ia=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")

src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")

model(**model_inputs)  # forward pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)

src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

model(**model_inputs)  <span class="hljs-comment"># forward pass</span>`}}),Da=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = "\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948"
article_ar = "\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627."

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")

# translate Hindi to French
tokenizer.src_lang = "hi_IN"
encoded_hi = tokenizer(article_hi, return_tensors="pt")
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id["fr_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "Le chef de l 'ONU affirme qu 'il n 'y a pas de solution militaire en Syria."

# translate Arabic to English
tokenizer.src_lang = "ar_AR"
encoded_ar = tokenizer(article_ar, return_tensors="pt")
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id["en_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "The Secretary-General of the United Nations says there is no military solution in Syria."`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = <span class="hljs-string">&quot;\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948&quot;</span>
article_ar = <span class="hljs-string">&quot;\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627.&quot;</span>

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)

<span class="hljs-comment"># translate Hindi to French</span>
tokenizer.src_lang = <span class="hljs-string">&quot;hi_IN&quot;</span>
encoded_hi = tokenizer(article_hi, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;fr_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;Le chef de l &#x27;ONU affirme qu &#x27;il n &#x27;y a pas de solution militaire en Syria.&quot;</span>

<span class="hljs-comment"># translate Arabic to English</span>
tokenizer.src_lang = <span class="hljs-string">&quot;ar_AR&quot;</span>
encoded_ar = tokenizer(article_ar, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;en_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;The Secretary-General of the United Nations says there is no military solution in Syria.&quot;</span>`}}),La=new V({}),Ga=new F({props:{name:"class transformers.MBartConfig",anchor:"transformers.MBartConfig",parameters:[{name:"vocab_size",val:" = 50265"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 12"},{name:"encoder_ffn_dim",val:" = 4096"},{name:"encoder_attention_heads",val:" = 16"},{name:"decoder_layers",val:" = 12"},{name:"decoder_ffn_dim",val:" = 4096"},{name:"decoder_attention_heads",val:" = 16"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 1024"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"classifier_dropout",val:" = 0.0"},{name:"scale_embedding",val:" = False"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"forced_eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50265) &#x2014;
Vocabulary size of the MBART model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartModel">MBartModel</a> or <a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.TFMBartModel">TFMBartModel</a>.`,name:"vocab_size"},{anchor:"transformers.MBartConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.MBartConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.MBartConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.MBartConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.MBartConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.MBartConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.MBartConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.MBartConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.MBartConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.MBartConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for classifier.`,name:"classifier_dropout"},{anchor:"transformers.MBartConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.MBartConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.MBartConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.MBartConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.MBartConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.MBartConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.MBartConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/configuration_mbart.py#L34"}}),Qo=new A({props:{anchor:"transformers.MBartConfig.example",$$slots:{default:[C$]},$$scope:{ctx:M}}}),Ra=new V({}),Ua=new F({props:{name:"class transformers.MBartTokenizer",anchor:"transformers.MBartTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"tokenizer_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart.py#L53"}}),Vo=new A({props:{anchor:"transformers.MBartTokenizer.example",$$slots:{default:[A$]},$$scope:{ctx:M}}}),Qa=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart.py#L218",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Za=new V({}),Ya=new F({props:{name:"class transformers.MBartTokenizerFast",anchor:"transformers.MBartTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart_fast.py#L63"}}),Jo=new A({props:{anchor:"transformers.MBartTokenizerFast.example",$$slots:{default:[P$]},$$scope:{ctx:M}}}),os=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart_fast.py#L161",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),is=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart_fast.py#L190",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ds=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart_fast.py#L245"}}),ls=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/tokenization_mbart_fast.py#L260"}}),cs=new V({}),ps=new F({props:{name:"class transformers.MBart50Tokenizer",anchor:"transformers.MBart50Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50Tokenizer.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50Tokenizer.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50Tokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50Tokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50Tokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.MBart50Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L49"}}),on=new A({props:{anchor:"transformers.MBart50Tokenizer.example",$$slots:{default:[S$]},$$scope:{ctx:M}}}),fs=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L301",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),vs=new F({props:{name:"convert_tokens_to_string",anchor:"transformers.MBart50Tokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L235"}}),ys=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L271",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ws=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L358"}}),$s=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50.py#L364"}}),xs=new V({}),Ms=new F({props:{name:"class transformers.MBart50TokenizerFast",anchor:"transformers.MBart50TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50TokenizerFast.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50TokenizerFast.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50TokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50TokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50TokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L59"}}),ln=new A({props:{anchor:"transformers.MBart50TokenizerFast.example",$$slots:{default:[O$]},$$scope:{ctx:M}}}),qs=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),As=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L217"}}),Ps=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L232"}}),Ss=new V({}),Os=new F({props:{name:"class transformers.MBartModel",anchor:"transformers.MBartModel",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1147"}}),Ls=new F({props:{name:"forward",anchor:"transformers.MBartModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1176",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hn=new mt({props:{$$slots:{default:[I$]},$$scope:{ctx:M}}}),mn=new A({props:{anchor:"transformers.MBartModel.forward.example",$$slots:{default:[N$]},$$scope:{ctx:M}}}),Gs=new V({}),Ws=new F({props:{name:"class transformers.MBartForConditionalGeneration",anchor:"transformers.MBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1265"}}),Qs=new F({props:{name:"forward",anchor:"transformers.MBartForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1311",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_n=new mt({props:{$$slots:{default:[D$]},$$scope:{ctx:M}}}),gn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example",$$slots:{default:[L$]},$$scope:{ctx:M}}}),kn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example-2",$$slots:{default:[G$]},$$scope:{ctx:M}}}),Hs=new V({}),Vs=new F({props:{name:"class transformers.MBartForQuestionAnswering",anchor:"transformers.MBartForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1567"}}),Ys=new F({props:{name:"forward",anchor:"transformers.MBartForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": Tensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForQuestionAnswering.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForQuestionAnswering.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.MBartForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1581",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),vn=new mt({props:{$$slots:{default:[W$]},$$scope:{ctx:M}}}),yn=new A({props:{anchor:"transformers.MBartForQuestionAnswering.forward.example",$$slots:{default:[R$]},$$scope:{ctx:M}}}),er=new V({}),tr=new F({props:{name:"class transformers.MBartForSequenceClassification",anchor:"transformers.MBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1440"}}),sr=new F({props:{name:"forward",anchor:"transformers.MBartForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1455",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>label</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wn=new mt({props:{$$slots:{default:[U$]},$$scope:{ctx:M}}}),$n=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example",$$slots:{default:[X$]},$$scope:{ctx:M}}}),xn=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example-2",$$slots:{default:[Q$]},$$scope:{ctx:M}}}),rr=new V({}),ir=new F({props:{name:"class transformers.MBartForCausalLM",anchor:"transformers.MBartForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1699"}}),dr=new F({props:{name:"forward",anchor:"transformers.MBartForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MBartForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.MBartForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.MBartForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_mbart.py#L1732",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fn=new A({props:{anchor:"transformers.MBartForCausalLM.forward.example",$$slots:{default:[H$]},$$scope:{ctx:M}}}),lr=new V({}),cr=new F({props:{name:"class transformers.TFMBartModel",anchor:"transformers.TFMBartModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_tf_mbart.py#L1202"}}),Bn=new mt({props:{$$slots:{default:[V$]},$$scope:{ctx:M}}}),mr=new F({props:{name:"call",anchor:"transformers.TFMBartModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple, transformers.modeling_tf_outputs.TFBaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_tf_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),jn=new mt({props:{$$slots:{default:[K$]},$$scope:{ctx:M}}}),En=new A({props:{anchor:"transformers.TFMBartModel.call.example",$$slots:{default:[J$]},$$scope:{ctx:M}}}),fr=new V({}),_r=new F({props:{name:"class transformers.TFMBartForConditionalGeneration",anchor:"transformers.TFMBartForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_tf_mbart.py#L1308"}}),An=new mt({props:{$$slots:{default:[Z$]},$$scope:{ctx:M}}}),vr=new F({props:{name:"call",anchor:"transformers.TFMBartForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[transformers.modeling_tf_outputs.TFBaseModelOutput] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFMBartForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_tf_mbart.py#L1346",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Pn=new mt({props:{$$slots:{default:[Y$]},$$scope:{ctx:M}}}),Sn=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example",$$slots:{default:[ex]},$$scope:{ctx:M}}}),On=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example-2",$$slots:{default:[tx]},$$scope:{ctx:M}}}),yr=new V({}),Tr=new F({props:{name:"class transformers.FlaxMBartModel",anchor:"transformers.FlaxMBartModel",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1278"}}),Br=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1215",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Nn=new mt({props:{$$slots:{default:[ox]},$$scope:{ctx:M}}}),Dn=new A({props:{anchor:"transformers.FlaxMBartModel.__call__.example",$$slots:{default:[nx]},$$scope:{ctx:M}}}),jr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartModel.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1039",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Gn=new A({props:{anchor:"transformers.FlaxMBartModel.encode.example",$$slots:{default:[ax]},$$scope:{ctx:M}}}),Er=new F({props:{name:"decode",anchor:"transformers.FlaxMBartModel.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartModel.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartModel.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1102",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Rn=new A({props:{anchor:"transformers.FlaxMBartModel.decode.example",$$slots:{default:[sx]},$$scope:{ctx:M}}}),Cr=new V({}),Ar=new F({props:{name:"class transformers.FlaxMBartForConditionalGeneration",anchor:"transformers.FlaxMBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1363"}}),Gr=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1215",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xn=new mt({props:{$$slots:{default:[rx]},$$scope:{ctx:M}}}),Qn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example",$$slots:{default:[ix]},$$scope:{ctx:M}}}),Hn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example-2",$$slots:{default:[dx]},$$scope:{ctx:M}}}),Wr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1039",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Kn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.example",$$slots:{default:[lx]},$$scope:{ctx:M}}}),Rr=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1367",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Zn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.example",$$slots:{default:[cx]},$$scope:{ctx:M}}}),Ur=new V({}),Xr=new F({props:{name:"class transformers.FlaxMBartForSequenceClassification",anchor:"transformers.FlaxMBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1676"}}),ei=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForSequenceClassification.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1215",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ea=new mt({props:{$$slots:{default:[px]},$$scope:{ctx:M}}}),ta=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.example",$$slots:{default:[ux]},$$scope:{ctx:M}}}),ti=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForSequenceClassification.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1039",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),na=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.encode.example",$$slots:{default:[hx]},$$scope:{ctx:M}}}),oi=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForSequenceClassification.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1102",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),sa=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.decode.example",$$slots:{default:[mx]},$$scope:{ctx:M}}}),ni=new V({}),ai=new F({props:{name:"class transformers.FlaxMBartForQuestionAnswering",anchor:"transformers.FlaxMBartForQuestionAnswering",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1763"}}),ui=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1215",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ia=new mt({props:{$$slots:{default:[fx]},$$scope:{ctx:M}}}),da=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.example",$$slots:{default:[_x]},$$scope:{ctx:M}}}),hi=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForQuestionAnswering.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1039",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ca=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.example",$$slots:{default:[gx]},$$scope:{ctx:M}}}),mi=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForQuestionAnswering.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/mbart/modeling_flax_mbart.py#L1102",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ua=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.example",$$slots:{default:[kx]},$$scope:{ctx:M}}}),{c(){l=a("meta"),b=p(),f=a("h1"),h=a("a"),g=a("span"),v(n.$$.fragment),c=p(),q=a("span"),ft=i("MBart and MBart-50"),Ye=p(),U=a("p"),De=a("strong"),Le=i("DISCLAIMER:"),B=i(" If you see something strange, file a "),be=a("a"),ve=i("Github Issue"),_t=i(` and assign
@patrickvonplaten`),et=p(),X=a("h2"),pe=a("a"),Ge=a("span"),v(K.$$.fragment),gt=p(),We=a("span"),ye=i("Overview of MBart"),tt=p(),ue=a("p"),Te=i("The MBart model was presented in "),we=a("a"),kt=i("Multilingual Denoising Pre-training for Neural Machine Translation"),Re=i(` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),S=p(),I=a("p"),bt=i(`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),he=p(),re=a("p"),vt=i("This model was contributed by "),J=a("a"),yt=i("valhalla"),Tt=i(". The Authors\u2019 code can be found "),O=a("a"),wt=i("here"),me=p(),ie=a("h3"),fe=a("a"),de=a("span"),v($e.$$.fragment),$t=p(),Z=a("span"),xt=i("Training of MBart"),_e=p(),R=a("p"),Ue=i(`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),N=a("code"),Mt=i("X [eos, src_lang_code]"),Y=i(" where "),Xe=a("code"),zt=i("X"),z=i(` is the source text. The
target text format is `),j=a("code"),Jt=i("[tgt_lang_code] X [eos]"),Qe=i(". "),Ft=a("code"),Zt=i("bos"),C=i(" is never used."),Nt=p(),te=a("p"),Yt=i("The regular "),He=a("a"),qt=a("strong"),le=i("call"),xe=i("()"),eo=i(" will encode source text format passed as first argument or with the "),Bt=a("code"),Me=i("text"),to=i(`
keyword, and target text format passed with the `),jt=a("code"),Et=i("text_label"),oo=i(" keyword argument."),Ee=p(),ot=a("ul"),gd=a("li"),Ph=i("Supervised training"),gp=p(),v(Ea.$$.fragment),kp=p(),yi=a("ul"),Ca=a("li"),kd=a("p"),Sh=i("Generation"),Oh=p(),no=a("p"),Ih=i("While generating the target text set the "),bd=a("code"),Nh=i("decoder_start_token_id"),Dh=i(` to the target language id. The following
example shows how to translate English to Romanian using the `),vd=a("em"),Lh=i("facebook/mbart-large-en-ro"),Gh=i(" model."),bp=p(),v(Aa.$$.fragment),vp=p(),ao=a("h2"),Wo=a("a"),yd=a("span"),v(Pa.$$.fragment),Wh=p(),Td=a("span"),Rh=i("Overview of MBart-50"),yp=p(),Dt=a("p"),Uh=i("MBart-50 was introduced in the "),Sa=a("a"),Xh=i("Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),Qh=i(` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),wd=a("em"),Hh=i("mbart-large-cc25"),Vh=i(` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),Tp=p(),Ti=a("p"),Kh=i("According to the abstract"),wp=p(),wi=a("p"),$d=a("em"),Jh=i(`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),$p=p(),so=a("h3"),Ro=a("a"),xd=a("span"),v(Oa.$$.fragment),Zh=p(),Md=a("span"),Yh=i("Training of MBart-50"),xp=p(),nt=a("p"),em=i(`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),zd=a("code"),tm=i("[lang_code] X [eos]"),om=i(", where "),Fd=a("code"),nm=i("lang_code"),am=i(` is source
language id for source text and target language id for target text, with `),qd=a("code"),sm=i("X"),rm=i(` being the source or target text
respectively.`),Mp=p(),Uo=a("p"),im=i("MBart-50 has its own tokenizer "),$i=a("a"),dm=i("MBart50Tokenizer"),lm=i("."),zp=p(),xi=a("ul"),Bd=a("li"),cm=i("Supervised training"),Fp=p(),v(Ia.$$.fragment),qp=p(),Mi=a("ul"),Na=a("li"),jd=a("p"),pm=i("Generation"),um=p(),ze=a("p"),hm=i("To generate using the mBART-50 multilingual translation models, "),Ed=a("code"),mm=i("eos_token_id"),fm=i(` is used as the
`),Cd=a("code"),_m=i("decoder_start_token_id"),gm=i(` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Ad=a("em"),km=i("forced_bos_token_id"),bm=i(" parameter to the "),Pd=a("em"),vm=i("generate"),ym=i(` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Sd=a("em"),Tm=i("facebook/mbart-50-large-many-to-many"),wm=i(" checkpoint."),Bp=p(),v(Da.$$.fragment),jp=p(),ro=a("h2"),Xo=a("a"),Od=a("span"),v(La.$$.fragment),$m=p(),Id=a("span"),xm=i("MBartConfig"),Ep=p(),Ve=a("div"),v(Ga.$$.fragment),Mm=p(),io=a("p"),zm=i("This is the configuration class to store the configuration of a "),zi=a("a"),Fm=i("MBartModel"),qm=i(`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Wa=a("a"),Bm=i("facebook/mbart-large-cc25"),jm=i(" architecture."),Em=p(),lo=a("p"),Cm=i("Configuration objects inherit from "),Fi=a("a"),Am=i("PretrainedConfig"),Pm=i(` and can be used to control the model outputs. Read the
documentation from `),qi=a("a"),Sm=i("PretrainedConfig"),Om=i(" for more information."),Im=p(),v(Qo.$$.fragment),Cp=p(),co=a("h2"),Ho=a("a"),Nd=a("span"),v(Ra.$$.fragment),Nm=p(),Dd=a("span"),Dm=i("MBartTokenizer"),Ap=p(),ce=a("div"),v(Ua.$$.fragment),Lm=p(),Ld=a("p"),Gm=i("Construct an MBART tokenizer."),Wm=p(),Ct=a("p"),Rm=i("Adapted from "),Bi=a("a"),Um=i("RobertaTokenizer"),Xm=i(" and "),ji=a("a"),Qm=i("XLNetTokenizer"),Hm=i(`. Based on
`),Xa=a("a"),Vm=i("SentencePiece"),Km=i("."),Jm=p(),po=a("p"),Zm=i("The tokenization method is "),Gd=a("code"),Ym=i("<tokens> <eos> <language code>"),ef=i(" for source language documents, and "),Wd=a("code"),tf=i("<language code> <tokens> <eos>"),of=i(" for target language documents."),nf=p(),v(Vo.$$.fragment),af=p(),at=a("div"),v(Qa.$$.fragment),sf=p(),Ha=a("p"),rf=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),Rd=a("code"),df=i("X"),lf=i(" represents the sequence:"),cf=p(),Va=a("ul"),Ka=a("li"),Ud=a("code"),pf=i("input_ids"),uf=i(" (for encoder) "),Xd=a("code"),hf=i("X [eos, src_lang_code]"),mf=p(),Ja=a("li"),Qd=a("code"),ff=i("decoder_input_ids"),_f=i(": (for decoder) "),Hd=a("code"),gf=i("X [eos, tgt_lang_code]"),kf=p(),Vd=a("p"),bf=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Pp=p(),uo=a("h2"),Ko=a("a"),Kd=a("span"),v(Za.$$.fragment),vf=p(),Jd=a("span"),yf=i("MBartTokenizerFast"),Sp=p(),D=a("div"),v(Ya.$$.fragment),Tf=p(),ho=a("p"),wf=i("Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),Zd=a("em"),$f=i("tokenizers"),xf=i(` library). Based on
`),es=a("a"),Mf=i("BPE"),zf=i("."),Ff=p(),ts=a("p"),qf=i("This tokenizer inherits from "),Ei=a("a"),Bf=i("PreTrainedTokenizerFast"),jf=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Ef=p(),mo=a("p"),Cf=i("The tokenization method is "),Yd=a("code"),Af=i("<tokens> <eos> <language code>"),Pf=i(" for source language documents, and "),el=a("code"),Sf=i("<language code> <tokens> <eos>"),Of=i(" for target language documents."),If=p(),v(Jo.$$.fragment),Nf=p(),Ce=a("div"),v(os.$$.fragment),Df=p(),tl=a("p"),Lf=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),Gf=p(),ns=a("p"),Wf=i("An MBART sequence has the following format, where "),ol=a("code"),Rf=i("X"),Uf=i(" represents the sequence:"),Xf=p(),as=a("ul"),ss=a("li"),nl=a("code"),Qf=i("input_ids"),Hf=i(" (for encoder) "),al=a("code"),Vf=i("X [eos, src_lang_code]"),Kf=p(),rs=a("li"),sl=a("code"),Jf=i("decoder_input_ids"),Zf=i(": (for decoder) "),rl=a("code"),Yf=i("X [eos, tgt_lang_code]"),e_=p(),il=a("p"),t_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),o_=p(),Zo=a("div"),v(is.$$.fragment),n_=p(),dl=a("p"),a_=i(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),s_=p(),Yo=a("div"),v(ds.$$.fragment),r_=p(),ll=a("p"),i_=i("Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),d_=p(),en=a("div"),v(ls.$$.fragment),l_=p(),cl=a("p"),c_=i("Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),Op=p(),fo=a("h2"),tn=a("a"),pl=a("span"),v(cs.$$.fragment),p_=p(),ul=a("span"),u_=i("MBart50Tokenizer"),Ip=p(),L=a("div"),v(ps.$$.fragment),h_=p(),us=a("p"),m_=i("Construct a MBart50 tokenizer. Based on "),hs=a("a"),f_=i("SentencePiece"),__=i("."),g_=p(),ms=a("p"),k_=i("This tokenizer inherits from "),Ci=a("a"),b_=i("PreTrainedTokenizer"),v_=i(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),y_=p(),v(on.$$.fragment),T_=p(),st=a("div"),v(fs.$$.fragment),w_=p(),_s=a("p"),$_=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),hl=a("code"),x_=i("X"),M_=i(" represents the sequence:"),z_=p(),gs=a("ul"),ks=a("li"),ml=a("code"),F_=i("input_ids"),q_=i(" (for encoder) "),fl=a("code"),B_=i("[src_lang_code] X [eos]"),j_=p(),bs=a("li"),_l=a("code"),E_=i("labels"),C_=i(": (for decoder) "),gl=a("code"),A_=i("[tgt_lang_code] X [eos]"),P_=p(),kl=a("p"),S_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),O_=p(),nn=a("div"),v(vs.$$.fragment),I_=p(),bl=a("p"),N_=i("Converts a sequence of tokens (string) in a single string."),D_=p(),an=a("div"),v(ys.$$.fragment),L_=p(),Ts=a("p"),G_=i(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),vl=a("code"),W_=i("prepare_for_model"),R_=i(" method."),U_=p(),sn=a("div"),v(ws.$$.fragment),X_=p(),yl=a("p"),Q_=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),H_=p(),rn=a("div"),v($s.$$.fragment),V_=p(),Tl=a("p"),K_=i("Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),Np=p(),_o=a("h2"),dn=a("a"),wl=a("span"),v(xs.$$.fragment),J_=p(),$l=a("span"),Z_=i("MBart50TokenizerFast"),Dp=p(),ee=a("div"),v(Ms.$$.fragment),Y_=p(),go=a("p"),eg=i("Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),xl=a("em"),tg=i("tokenizers"),og=i(` library). Based on
`),zs=a("a"),ng=i("BPE"),ag=i("."),sg=p(),Fs=a("p"),rg=i("This tokenizer inherits from "),Ai=a("a"),ig=i("PreTrainedTokenizerFast"),dg=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),lg=p(),v(ln.$$.fragment),cg=p(),Ae=a("div"),v(qs.$$.fragment),pg=p(),Ml=a("p"),ug=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),hg=p(),Bs=a("p"),mg=i("An MBART-50 sequence has the following format, where "),zl=a("code"),fg=i("X"),_g=i(" represents the sequence:"),gg=p(),js=a("ul"),Es=a("li"),Fl=a("code"),kg=i("input_ids"),bg=i(" (for encoder) "),ql=a("code"),vg=i("[src_lang_code] X [eos]"),yg=p(),Cs=a("li"),Bl=a("code"),Tg=i("labels"),wg=i(": (for decoder) "),jl=a("code"),$g=i("[tgt_lang_code] X [eos]"),xg=p(),El=a("p"),Mg=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),zg=p(),cn=a("div"),v(As.$$.fragment),Fg=p(),Cl=a("p"),qg=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),Bg=p(),pn=a("div"),v(Ps.$$.fragment),jg=p(),Al=a("p"),Eg=i("Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),Lp=p(),ko=a("h2"),un=a("a"),Pl=a("span"),v(Ss.$$.fragment),Cg=p(),Sl=a("span"),Ag=i("MBartModel"),Gp=p(),Ke=a("div"),v(Os.$$.fragment),Pg=p(),Is=a("p"),Sg=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Pi=a("a"),Og=i("PreTrainedModel"),Ig=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ng=p(),Ns=a("p"),Dg=i("This model is also a PyTorch "),Ds=a("a"),Lg=i("torch.nn.Module"),Gg=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Wg=p(),rt=a("div"),v(Ls.$$.fragment),Rg=p(),bo=a("p"),Ug=i("The "),Si=a("a"),Xg=i("MBartModel"),Qg=i(" forward method, overrides the "),Ol=a("code"),Hg=i("__call__"),Vg=i(" special method."),Kg=p(),v(hn.$$.fragment),Jg=p(),v(mn.$$.fragment),Wp=p(),vo=a("h2"),fn=a("a"),Il=a("span"),v(Gs.$$.fragment),Zg=p(),Nl=a("span"),Yg=i("MBartForConditionalGeneration"),Rp=p(),Je=a("div"),v(Ws.$$.fragment),ek=p(),Rs=a("p"),tk=i(`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Oi=a("a"),ok=i("PreTrainedModel"),nk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ak=p(),Us=a("p"),sk=i("This model is also a PyTorch "),Xs=a("a"),rk=i("torch.nn.Module"),ik=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dk=p(),Pe=a("div"),v(Qs.$$.fragment),lk=p(),yo=a("p"),ck=i("The "),Ii=a("a"),pk=i("MBartForConditionalGeneration"),uk=i(" forward method, overrides the "),Dl=a("code"),hk=i("__call__"),mk=i(" special method."),fk=p(),v(_n.$$.fragment),_k=p(),v(gn.$$.fragment),gk=p(),v(kn.$$.fragment),Up=p(),To=a("h2"),bn=a("a"),Ll=a("span"),v(Hs.$$.fragment),kk=p(),Gl=a("span"),bk=i("MBartForQuestionAnswering"),Xp=p(),Fe=a("div"),v(Vs.$$.fragment),vk=p(),wo=a("p"),yk=i(`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Wl=a("code"),Tk=i("span start logits"),wk=i(" and "),Rl=a("code"),$k=i("span end logits"),xk=i(")."),Mk=p(),Ks=a("p"),zk=i("This model inherits from "),Ni=a("a"),Fk=i("PreTrainedModel"),qk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bk=p(),Js=a("p"),jk=i("This model is also a PyTorch "),Zs=a("a"),Ek=i("torch.nn.Module"),Ck=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ak=p(),it=a("div"),v(Ys.$$.fragment),Pk=p(),$o=a("p"),Sk=i("The "),Di=a("a"),Ok=i("MBartForQuestionAnswering"),Ik=i(" forward method, overrides the "),Ul=a("code"),Nk=i("__call__"),Dk=i(" special method."),Lk=p(),v(vn.$$.fragment),Gk=p(),v(yn.$$.fragment),Qp=p(),xo=a("h2"),Tn=a("a"),Xl=a("span"),v(er.$$.fragment),Wk=p(),Ql=a("span"),Rk=i("MBartForSequenceClassification"),Hp=p(),qe=a("div"),v(tr.$$.fragment),Uk=p(),Hl=a("p"),Xk=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),Qk=p(),or=a("p"),Hk=i("This model inherits from "),Li=a("a"),Vk=i("PreTrainedModel"),Kk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jk=p(),nr=a("p"),Zk=i("This model is also a PyTorch "),ar=a("a"),Yk=i("torch.nn.Module"),eb=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),tb=p(),Se=a("div"),v(sr.$$.fragment),ob=p(),Mo=a("p"),nb=i("The "),Gi=a("a"),ab=i("MBartForSequenceClassification"),sb=i(" forward method, overrides the "),Vl=a("code"),rb=i("__call__"),ib=i(" special method."),db=p(),v(wn.$$.fragment),lb=p(),v($n.$$.fragment),cb=p(),v(xn.$$.fragment),Vp=p(),zo=a("h2"),Mn=a("a"),Kl=a("span"),v(rr.$$.fragment),pb=p(),Jl=a("span"),ub=i("MBartForCausalLM"),Kp=p(),Fo=a("div"),v(ir.$$.fragment),hb=p(),zn=a("div"),v(dr.$$.fragment),mb=p(),v(Fn.$$.fragment),Jp=p(),qo=a("h2"),qn=a("a"),Zl=a("span"),v(lr.$$.fragment),fb=p(),Yl=a("span"),_b=i("TFMBartModel"),Zp=p(),Be=a("div"),v(cr.$$.fragment),gb=p(),pr=a("p"),kb=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Wi=a("a"),bb=i("TFPreTrainedModel"),vb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yb=p(),ur=a("p"),Tb=i("This model is also a "),hr=a("a"),wb=i("tf.keras.Model"),$b=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xb=p(),v(Bn.$$.fragment),Mb=p(),dt=a("div"),v(mr.$$.fragment),zb=p(),Bo=a("p"),Fb=i("The "),Ri=a("a"),qb=i("TFMBartModel"),Bb=i(" forward method, overrides the "),ec=a("code"),jb=i("__call__"),Eb=i(" special method."),Cb=p(),v(jn.$$.fragment),Ab=p(),v(En.$$.fragment),Yp=p(),jo=a("h2"),Cn=a("a"),tc=a("span"),v(fr.$$.fragment),Pb=p(),oc=a("span"),Sb=i("TFMBartForConditionalGeneration"),eu=p(),je=a("div"),v(_r.$$.fragment),Ob=p(),gr=a("p"),Ib=i(`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Ui=a("a"),Nb=i("TFPreTrainedModel"),Db=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lb=p(),kr=a("p"),Gb=i("This model is also a "),br=a("a"),Wb=i("tf.keras.Model"),Rb=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ub=p(),v(An.$$.fragment),Xb=p(),Oe=a("div"),v(vr.$$.fragment),Qb=p(),Eo=a("p"),Hb=i("The "),Xi=a("a"),Vb=i("TFMBartForConditionalGeneration"),Kb=i(" forward method, overrides the "),nc=a("code"),Jb=i("__call__"),Zb=i(" special method."),Yb=p(),v(Pn.$$.fragment),ev=p(),v(Sn.$$.fragment),tv=p(),v(On.$$.fragment),tu=p(),Co=a("h2"),In=a("a"),ac=a("span"),v(yr.$$.fragment),ov=p(),sc=a("span"),nv=i("FlaxMBartModel"),ou=p(),Q=a("div"),v(Tr.$$.fragment),av=p(),wr=a("p"),sv=i(`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Qi=a("a"),rv=i("FlaxPreTrainedModel"),iv=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dv=p(),$r=a("p"),lv=i(`This model is also a Flax Linen
`),xr=a("a"),cv=i("flax.nn.Module"),pv=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),uv=p(),rc=a("p"),hv=i("Finally, this model supports inherent JAX features such as:"),mv=p(),At=a("ul"),ic=a("li"),Mr=a("a"),fv=i("Just-In-Time (JIT) compilation"),_v=p(),dc=a("li"),zr=a("a"),gv=i("Automatic Differentiation"),kv=p(),lc=a("li"),Fr=a("a"),bv=i("Vectorization"),vv=p(),cc=a("li"),qr=a("a"),yv=i("Parallelization"),Tv=p(),lt=a("div"),v(Br.$$.fragment),wv=p(),Ao=a("p"),$v=i("The "),pc=a("code"),xv=i("FlaxMBartPreTrainedModel"),Mv=i(" forward method, overrides the "),uc=a("code"),zv=i("__call__"),Fv=i(" special method."),qv=p(),v(Nn.$$.fragment),Bv=p(),v(Dn.$$.fragment),jv=p(),Ln=a("div"),v(jr.$$.fragment),Ev=p(),v(Gn.$$.fragment),Cv=p(),Wn=a("div"),v(Er.$$.fragment),Av=p(),v(Rn.$$.fragment),nu=p(),Po=a("h2"),Un=a("a"),hc=a("span"),v(Cr.$$.fragment),Pv=p(),mc=a("span"),Sv=i("FlaxMBartForConditionalGeneration"),au=p(),H=a("div"),v(Ar.$$.fragment),Ov=p(),Pr=a("p"),Iv=i(`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),Hi=a("a"),Nv=i("FlaxPreTrainedModel"),Dv=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lv=p(),Sr=a("p"),Gv=i(`This model is also a Flax Linen
`),Or=a("a"),Wv=i("flax.nn.Module"),Rv=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Uv=p(),fc=a("p"),Xv=i("Finally, this model supports inherent JAX features such as:"),Qv=p(),Pt=a("ul"),_c=a("li"),Ir=a("a"),Hv=i("Just-In-Time (JIT) compilation"),Vv=p(),gc=a("li"),Nr=a("a"),Kv=i("Automatic Differentiation"),Jv=p(),kc=a("li"),Dr=a("a"),Zv=i("Vectorization"),Yv=p(),bc=a("li"),Lr=a("a"),ey=i("Parallelization"),ty=p(),Ie=a("div"),v(Gr.$$.fragment),oy=p(),So=a("p"),ny=i("The "),vc=a("code"),ay=i("FlaxMBartPreTrainedModel"),sy=i(" forward method, overrides the "),yc=a("code"),ry=i("__call__"),iy=i(" special method."),dy=p(),v(Xn.$$.fragment),ly=p(),v(Qn.$$.fragment),cy=p(),v(Hn.$$.fragment),py=p(),Vn=a("div"),v(Wr.$$.fragment),uy=p(),v(Kn.$$.fragment),hy=p(),Jn=a("div"),v(Rr.$$.fragment),my=p(),v(Zn.$$.fragment),su=p(),Oo=a("h2"),Yn=a("a"),Tc=a("span"),v(Ur.$$.fragment),fy=p(),wc=a("span"),_y=i("FlaxMBartForSequenceClassification"),ru=p(),G=a("div"),v(Xr.$$.fragment),gy=p(),$c=a("p"),ky=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),by=p(),Qr=a("p"),vy=i("This model inherits from "),Vi=a("a"),yy=i("FlaxPreTrainedModel"),Ty=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),wy=p(),Hr=a("p"),$y=i(`This model is also a Flax Linen
`),Vr=a("a"),xy=i("flax.nn.Module"),My=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),zy=p(),xc=a("p"),Fy=i("Finally, this model supports inherent JAX features such as:"),qy=p(),St=a("ul"),Mc=a("li"),Kr=a("a"),By=i("Just-In-Time (JIT) compilation"),jy=p(),zc=a("li"),Jr=a("a"),Ey=i("Automatic Differentiation"),Cy=p(),Fc=a("li"),Zr=a("a"),Ay=i("Vectorization"),Py=p(),qc=a("li"),Yr=a("a"),Sy=i("Parallelization"),Oy=p(),ct=a("div"),v(ei.$$.fragment),Iy=p(),Io=a("p"),Ny=i("The "),Bc=a("code"),Dy=i("FlaxMBartPreTrainedModel"),Ly=i(" forward method, overrides the "),jc=a("code"),Gy=i("__call__"),Wy=i(" special method."),Ry=p(),v(ea.$$.fragment),Uy=p(),v(ta.$$.fragment),Xy=p(),oa=a("div"),v(ti.$$.fragment),Qy=p(),v(na.$$.fragment),Hy=p(),aa=a("div"),v(oi.$$.fragment),Vy=p(),v(sa.$$.fragment),iu=p(),No=a("h2"),ra=a("a"),Ec=a("span"),v(ni.$$.fragment),Ky=p(),Cc=a("span"),Jy=i("FlaxMBartForQuestionAnswering"),du=p(),W=a("div"),v(ai.$$.fragment),Zy=p(),Do=a("p"),Yy=i(`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Ac=a("code"),eT=i("span start logits"),tT=i(" and "),Pc=a("code"),oT=i("span end logits"),nT=i(")."),aT=p(),si=a("p"),sT=i("This model inherits from "),Ki=a("a"),rT=i("FlaxPreTrainedModel"),iT=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dT=p(),ri=a("p"),lT=i(`This model is also a Flax Linen
`),ii=a("a"),cT=i("flax.nn.Module"),pT=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),uT=p(),Sc=a("p"),hT=i("Finally, this model supports inherent JAX features such as:"),mT=p(),Ot=a("ul"),Oc=a("li"),di=a("a"),fT=i("Just-In-Time (JIT) compilation"),_T=p(),Ic=a("li"),li=a("a"),gT=i("Automatic Differentiation"),kT=p(),Nc=a("li"),ci=a("a"),bT=i("Vectorization"),vT=p(),Dc=a("li"),pi=a("a"),yT=i("Parallelization"),TT=p(),pt=a("div"),v(ui.$$.fragment),wT=p(),Lo=a("p"),$T=i("The "),Lc=a("code"),xT=i("FlaxMBartPreTrainedModel"),MT=i(" forward method, overrides the "),Gc=a("code"),zT=i("__call__"),FT=i(" special method."),qT=p(),v(ia.$$.fragment),BT=p(),v(da.$$.fragment),jT=p(),la=a("div"),v(hi.$$.fragment),ET=p(),v(ca.$$.fragment),CT=p(),pa=a("div"),v(mi.$$.fragment),AT=p(),v(ua.$$.fragment),this.h()},l(o){const _=j$('[data-svelte="svelte-1phssyn"]',document.head);l=s(_,"META",{name:!0,content:!0}),_.forEach(t),b=u(o),f=s(o,"H1",{class:!0});var fi=r(f);h=s(fi,"A",{id:!0,class:!0,href:!0});var Wc=r(h);g=s(Wc,"SPAN",{});var Rc=r(g);y(n.$$.fragment,Rc),Rc.forEach(t),Wc.forEach(t),c=u(fi),q=s(fi,"SPAN",{});var Uc=r(q);ft=d(Uc,"MBart and MBart-50"),Uc.forEach(t),fi.forEach(t),Ye=u(o),U=s(o,"P",{});var ha=r(U);De=s(ha,"STRONG",{});var Xc=r(De);Le=d(Xc,"DISCLAIMER:"),Xc.forEach(t),B=d(ha," If you see something strange, file a "),be=s(ha,"A",{href:!0,rel:!0});var Qc=r(be);ve=d(Qc,"Github Issue"),Qc.forEach(t),_t=d(ha,` and assign
@patrickvonplaten`),ha.forEach(t),et=u(o),X=s(o,"H2",{class:!0});var _i=r(X);pe=s(_i,"A",{id:!0,class:!0,href:!0});var Hc=r(pe);Ge=s(Hc,"SPAN",{});var Vc=r(Ge);y(K.$$.fragment,Vc),Vc.forEach(t),Hc.forEach(t),gt=u(_i),We=s(_i,"SPAN",{});var Kc=r(We);ye=d(Kc,"Overview of MBart"),Kc.forEach(t),_i.forEach(t),tt=u(o),ue=s(o,"P",{});var gi=r(ue);Te=d(gi,"The MBart model was presented in "),we=s(gi,"A",{href:!0,rel:!0});var Jc=r(we);kt=d(Jc,"Multilingual Denoising Pre-training for Neural Machine Translation"),Jc.forEach(t),Re=d(gi,` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),gi.forEach(t),S=u(o),I=s(o,"P",{});var Zc=r(I);bt=d(Zc,`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),Zc.forEach(t),he=u(o),re=s(o,"P",{});var ma=r(re);vt=d(ma,"This model was contributed by "),J=s(ma,"A",{href:!0,rel:!0});var Yc=r(J);yt=d(Yc,"valhalla"),Yc.forEach(t),Tt=d(ma,". The Authors\u2019 code can be found "),O=s(ma,"A",{href:!0,rel:!0});var ep=r(O);wt=d(ep,"here"),ep.forEach(t),ma.forEach(t),me=u(o),ie=s(o,"H3",{class:!0});var ki=r(ie);fe=s(ki,"A",{id:!0,class:!0,href:!0});var tp=r(fe);de=s(tp,"SPAN",{});var op=r(de);y($e.$$.fragment,op),op.forEach(t),tp.forEach(t),$t=u(ki),Z=s(ki,"SPAN",{});var np=r(Z);xt=d(np,"Training of MBart"),np.forEach(t),ki.forEach(t),_e=u(o),R=s(o,"P",{});var Ze=r(R);Ue=d(Ze,`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),N=s(Ze,"CODE",{});var ap=r(N);Mt=d(ap,"X [eos, src_lang_code]"),ap.forEach(t),Y=d(Ze," where "),Xe=s(Ze,"CODE",{});var sp=r(Xe);zt=d(sp,"X"),sp.forEach(t),z=d(Ze,` is the source text. The
target text format is `),j=s(Ze,"CODE",{});var rp=r(j);Jt=d(rp,"[tgt_lang_code] X [eos]"),rp.forEach(t),Qe=d(Ze,". "),Ft=s(Ze,"CODE",{});var ip=r(Ft);Zt=d(ip,"bos"),ip.forEach(t),C=d(Ze," is never used."),Ze.forEach(t),Nt=u(o),te=s(o,"P",{});var It=r(te);Yt=d(It,"The regular "),He=s(It,"A",{href:!0});var Ji=r(He);qt=s(Ji,"STRONG",{});var dp=r(qt);le=d(dp,"call"),dp.forEach(t),xe=d(Ji,"()"),Ji.forEach(t),eo=d(It," will encode source text format passed as first argument or with the "),Bt=s(It,"CODE",{});var lp=r(Bt);Me=d(lp,"text"),lp.forEach(t),to=d(It,`
keyword, and target text format passed with the `),jt=s(It,"CODE",{});var cp=r(jt);Et=d(cp,"text_label"),cp.forEach(t),oo=d(It," keyword argument."),It.forEach(t),Ee=u(o),ot=s(o,"UL",{});var pp=r(ot);gd=s(pp,"LI",{});var up=r(gd);Ph=d(up,"Supervised training"),up.forEach(t),pp.forEach(t),gp=u(o),y(Ea.$$.fragment,o),kp=u(o),yi=s(o,"UL",{});var hp=r(yi);Ca=s(hp,"LI",{});var bi=r(Ca);kd=s(bi,"P",{});var mp=r(kd);Sh=d(mp,"Generation"),mp.forEach(t),Oh=u(bi),no=s(bi,"P",{});var Go=r(no);Ih=d(Go,"While generating the target text set the "),bd=s(Go,"CODE",{});var fp=r(bd);Nh=d(fp,"decoder_start_token_id"),fp.forEach(t),Dh=d(Go,` to the target language id. The following
example shows how to translate English to Romanian using the `),vd=s(Go,"EM",{});var _p=r(vd);Lh=d(_p,"facebook/mbart-large-en-ro"),_p.forEach(t),Gh=d(Go," model."),Go.forEach(t),bi.forEach(t),hp.forEach(t),bp=u(o),y(Aa.$$.fragment,o),vp=u(o),ao=s(o,"H2",{class:!0});var vi=r(ao);Wo=s(vi,"A",{id:!0,class:!0,href:!0});var PT=r(Wo);yd=s(PT,"SPAN",{});var ST=r(yd);y(Pa.$$.fragment,ST),ST.forEach(t),PT.forEach(t),Wh=u(vi),Td=s(vi,"SPAN",{});var OT=r(Td);Rh=d(OT,"Overview of MBart-50"),OT.forEach(t),vi.forEach(t),yp=u(o),Dt=s(o,"P",{});var Zi=r(Dt);Uh=d(Zi,"MBart-50 was introduced in the "),Sa=s(Zi,"A",{href:!0,rel:!0});var IT=r(Sa);Xh=d(IT,"Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),IT.forEach(t),Qh=d(Zi,` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),wd=s(Zi,"EM",{});var NT=r(wd);Hh=d(NT,"mbart-large-cc25"),NT.forEach(t),Vh=d(Zi,` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),Zi.forEach(t),Tp=u(o),Ti=s(o,"P",{});var DT=r(Ti);Kh=d(DT,"According to the abstract"),DT.forEach(t),wp=u(o),wi=s(o,"P",{});var LT=r(wi);$d=s(LT,"EM",{});var GT=r($d);Jh=d(GT,`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),GT.forEach(t),LT.forEach(t),$p=u(o),so=s(o,"H3",{class:!0});var cu=r(so);Ro=s(cu,"A",{id:!0,class:!0,href:!0});var WT=r(Ro);xd=s(WT,"SPAN",{});var RT=r(xd);y(Oa.$$.fragment,RT),RT.forEach(t),WT.forEach(t),Zh=u(cu),Md=s(cu,"SPAN",{});var UT=r(Md);Yh=d(UT,"Training of MBart-50"),UT.forEach(t),cu.forEach(t),xp=u(o),nt=s(o,"P",{});var fa=r(nt);em=d(fa,`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),zd=s(fa,"CODE",{});var XT=r(zd);tm=d(XT,"[lang_code] X [eos]"),XT.forEach(t),om=d(fa,", where "),Fd=s(fa,"CODE",{});var QT=r(Fd);nm=d(QT,"lang_code"),QT.forEach(t),am=d(fa,` is source
language id for source text and target language id for target text, with `),qd=s(fa,"CODE",{});var HT=r(qd);sm=d(HT,"X"),HT.forEach(t),rm=d(fa,` being the source or target text
respectively.`),fa.forEach(t),Mp=u(o),Uo=s(o,"P",{});var pu=r(Uo);im=d(pu,"MBart-50 has its own tokenizer "),$i=s(pu,"A",{href:!0});var VT=r($i);dm=d(VT,"MBart50Tokenizer"),VT.forEach(t),lm=d(pu,"."),pu.forEach(t),zp=u(o),xi=s(o,"UL",{});var KT=r(xi);Bd=s(KT,"LI",{});var JT=r(Bd);cm=d(JT,"Supervised training"),JT.forEach(t),KT.forEach(t),Fp=u(o),y(Ia.$$.fragment,o),qp=u(o),Mi=s(o,"UL",{});var ZT=r(Mi);Na=s(ZT,"LI",{});var uu=r(Na);jd=s(uu,"P",{});var YT=r(jd);pm=d(YT,"Generation"),YT.forEach(t),um=u(uu),ze=s(uu,"P",{});var ut=r(ze);hm=d(ut,"To generate using the mBART-50 multilingual translation models, "),Ed=s(ut,"CODE",{});var e2=r(Ed);mm=d(e2,"eos_token_id"),e2.forEach(t),fm=d(ut,` is used as the
`),Cd=s(ut,"CODE",{});var t2=r(Cd);_m=d(t2,"decoder_start_token_id"),t2.forEach(t),gm=d(ut,` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Ad=s(ut,"EM",{});var o2=r(Ad);km=d(o2,"forced_bos_token_id"),o2.forEach(t),bm=d(ut," parameter to the "),Pd=s(ut,"EM",{});var n2=r(Pd);vm=d(n2,"generate"),n2.forEach(t),ym=d(ut,` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Sd=s(ut,"EM",{});var a2=r(Sd);Tm=d(a2,"facebook/mbart-50-large-many-to-many"),a2.forEach(t),wm=d(ut," checkpoint."),ut.forEach(t),uu.forEach(t),ZT.forEach(t),Bp=u(o),y(Da.$$.fragment,o),jp=u(o),ro=s(o,"H2",{class:!0});var hu=r(ro);Xo=s(hu,"A",{id:!0,class:!0,href:!0});var s2=r(Xo);Od=s(s2,"SPAN",{});var r2=r(Od);y(La.$$.fragment,r2),r2.forEach(t),s2.forEach(t),$m=u(hu),Id=s(hu,"SPAN",{});var i2=r(Id);xm=d(i2,"MBartConfig"),i2.forEach(t),hu.forEach(t),Ep=u(o),Ve=s(o,"DIV",{class:!0});var _a=r(Ve);y(Ga.$$.fragment,_a),Mm=u(_a),io=s(_a,"P",{});var Yi=r(io);zm=d(Yi,"This is the configuration class to store the configuration of a "),zi=s(Yi,"A",{href:!0});var d2=r(zi);Fm=d(d2,"MBartModel"),d2.forEach(t),qm=d(Yi,`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Wa=s(Yi,"A",{href:!0,rel:!0});var l2=r(Wa);Bm=d(l2,"facebook/mbart-large-cc25"),l2.forEach(t),jm=d(Yi," architecture."),Yi.forEach(t),Em=u(_a),lo=s(_a,"P",{});var ed=r(lo);Cm=d(ed,"Configuration objects inherit from "),Fi=s(ed,"A",{href:!0});var c2=r(Fi);Am=d(c2,"PretrainedConfig"),c2.forEach(t),Pm=d(ed,` and can be used to control the model outputs. Read the
documentation from `),qi=s(ed,"A",{href:!0});var p2=r(qi);Sm=d(p2,"PretrainedConfig"),p2.forEach(t),Om=d(ed," for more information."),ed.forEach(t),Im=u(_a),y(Qo.$$.fragment,_a),_a.forEach(t),Cp=u(o),co=s(o,"H2",{class:!0});var mu=r(co);Ho=s(mu,"A",{id:!0,class:!0,href:!0});var u2=r(Ho);Nd=s(u2,"SPAN",{});var h2=r(Nd);y(Ra.$$.fragment,h2),h2.forEach(t),u2.forEach(t),Nm=u(mu),Dd=s(mu,"SPAN",{});var m2=r(Dd);Dm=d(m2,"MBartTokenizer"),m2.forEach(t),mu.forEach(t),Ap=u(o),ce=s(o,"DIV",{class:!0});var ht=r(ce);y(Ua.$$.fragment,ht),Lm=u(ht),Ld=s(ht,"P",{});var f2=r(Ld);Gm=d(f2,"Construct an MBART tokenizer."),f2.forEach(t),Wm=u(ht),Ct=s(ht,"P",{});var ga=r(Ct);Rm=d(ga,"Adapted from "),Bi=s(ga,"A",{href:!0});var _2=r(Bi);Um=d(_2,"RobertaTokenizer"),_2.forEach(t),Xm=d(ga," and "),ji=s(ga,"A",{href:!0});var g2=r(ji);Qm=d(g2,"XLNetTokenizer"),g2.forEach(t),Hm=d(ga,`. Based on
`),Xa=s(ga,"A",{href:!0,rel:!0});var k2=r(Xa);Vm=d(k2,"SentencePiece"),k2.forEach(t),Km=d(ga,"."),ga.forEach(t),Jm=u(ht),po=s(ht,"P",{});var td=r(po);Zm=d(td,"The tokenization method is "),Gd=s(td,"CODE",{});var b2=r(Gd);Ym=d(b2,"<tokens> <eos> <language code>"),b2.forEach(t),ef=d(td," for source language documents, and "),Wd=s(td,"CODE",{});var v2=r(Wd);tf=d(v2,"<language code> <tokens> <eos>"),v2.forEach(t),of=d(td," for target language documents."),td.forEach(t),nf=u(ht),y(Vo.$$.fragment,ht),af=u(ht),at=s(ht,"DIV",{class:!0});var ka=r(at);y(Qa.$$.fragment,ka),sf=u(ka),Ha=s(ka,"P",{});var fu=r(Ha);rf=d(fu,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),Rd=s(fu,"CODE",{});var y2=r(Rd);df=d(y2,"X"),y2.forEach(t),lf=d(fu," represents the sequence:"),fu.forEach(t),cf=u(ka),Va=s(ka,"UL",{});var _u=r(Va);Ka=s(_u,"LI",{});var gu=r(Ka);Ud=s(gu,"CODE",{});var T2=r(Ud);pf=d(T2,"input_ids"),T2.forEach(t),uf=d(gu," (for encoder) "),Xd=s(gu,"CODE",{});var w2=r(Xd);hf=d(w2,"X [eos, src_lang_code]"),w2.forEach(t),gu.forEach(t),mf=u(_u),Ja=s(_u,"LI",{});var ku=r(Ja);Qd=s(ku,"CODE",{});var $2=r(Qd);ff=d($2,"decoder_input_ids"),$2.forEach(t),_f=d(ku,": (for decoder) "),Hd=s(ku,"CODE",{});var x2=r(Hd);gf=d(x2,"X [eos, tgt_lang_code]"),x2.forEach(t),ku.forEach(t),_u.forEach(t),kf=u(ka),Vd=s(ka,"P",{});var M2=r(Vd);bf=d(M2,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),M2.forEach(t),ka.forEach(t),ht.forEach(t),Pp=u(o),uo=s(o,"H2",{class:!0});var bu=r(uo);Ko=s(bu,"A",{id:!0,class:!0,href:!0});var z2=r(Ko);Kd=s(z2,"SPAN",{});var F2=r(Kd);y(Za.$$.fragment,F2),F2.forEach(t),z2.forEach(t),vf=u(bu),Jd=s(bu,"SPAN",{});var q2=r(Jd);yf=d(q2,"MBartTokenizerFast"),q2.forEach(t),bu.forEach(t),Sp=u(o),D=s(o,"DIV",{class:!0});var oe=r(D);y(Ya.$$.fragment,oe),Tf=u(oe),ho=s(oe,"P",{});var od=r(ho);wf=d(od,"Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),Zd=s(od,"EM",{});var B2=r(Zd);$f=d(B2,"tokenizers"),B2.forEach(t),xf=d(od,` library). Based on
`),es=s(od,"A",{href:!0,rel:!0});var j2=r(es);Mf=d(j2,"BPE"),j2.forEach(t),zf=d(od,"."),od.forEach(t),Ff=u(oe),ts=s(oe,"P",{});var vu=r(ts);qf=d(vu,"This tokenizer inherits from "),Ei=s(vu,"A",{href:!0});var E2=r(Ei);Bf=d(E2,"PreTrainedTokenizerFast"),E2.forEach(t),jf=d(vu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),vu.forEach(t),Ef=u(oe),mo=s(oe,"P",{});var nd=r(mo);Cf=d(nd,"The tokenization method is "),Yd=s(nd,"CODE",{});var C2=r(Yd);Af=d(C2,"<tokens> <eos> <language code>"),C2.forEach(t),Pf=d(nd," for source language documents, and "),el=s(nd,"CODE",{});var A2=r(el);Sf=d(A2,"<language code> <tokens> <eos>"),A2.forEach(t),Of=d(nd," for target language documents."),nd.forEach(t),If=u(oe),y(Jo.$$.fragment,oe),Nf=u(oe),Ce=s(oe,"DIV",{class:!0});var Lt=r(Ce);y(os.$$.fragment,Lt),Df=u(Lt),tl=s(Lt,"P",{});var P2=r(tl);Lf=d(P2,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),P2.forEach(t),Gf=u(Lt),ns=s(Lt,"P",{});var yu=r(ns);Wf=d(yu,"An MBART sequence has the following format, where "),ol=s(yu,"CODE",{});var S2=r(ol);Rf=d(S2,"X"),S2.forEach(t),Uf=d(yu," represents the sequence:"),yu.forEach(t),Xf=u(Lt),as=s(Lt,"UL",{});var Tu=r(as);ss=s(Tu,"LI",{});var wu=r(ss);nl=s(wu,"CODE",{});var O2=r(nl);Qf=d(O2,"input_ids"),O2.forEach(t),Hf=d(wu," (for encoder) "),al=s(wu,"CODE",{});var I2=r(al);Vf=d(I2,"X [eos, src_lang_code]"),I2.forEach(t),wu.forEach(t),Kf=u(Tu),rs=s(Tu,"LI",{});var $u=r(rs);sl=s($u,"CODE",{});var N2=r(sl);Jf=d(N2,"decoder_input_ids"),N2.forEach(t),Zf=d($u,": (for decoder) "),rl=s($u,"CODE",{});var D2=r(rl);Yf=d(D2,"X [eos, tgt_lang_code]"),D2.forEach(t),$u.forEach(t),Tu.forEach(t),e_=u(Lt),il=s(Lt,"P",{});var L2=r(il);t_=d(L2,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),L2.forEach(t),Lt.forEach(t),o_=u(oe),Zo=s(oe,"DIV",{class:!0});var xu=r(Zo);y(is.$$.fragment,xu),n_=u(xu),dl=s(xu,"P",{});var G2=r(dl);a_=d(G2,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),G2.forEach(t),xu.forEach(t),s_=u(oe),Yo=s(oe,"DIV",{class:!0});var Mu=r(Yo);y(ds.$$.fragment,Mu),r_=u(Mu),ll=s(Mu,"P",{});var W2=r(ll);i_=d(W2,"Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),W2.forEach(t),Mu.forEach(t),d_=u(oe),en=s(oe,"DIV",{class:!0});var zu=r(en);y(ls.$$.fragment,zu),l_=u(zu),cl=s(zu,"P",{});var R2=r(cl);c_=d(R2,"Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),R2.forEach(t),zu.forEach(t),oe.forEach(t),Op=u(o),fo=s(o,"H2",{class:!0});var Fu=r(fo);tn=s(Fu,"A",{id:!0,class:!0,href:!0});var U2=r(tn);pl=s(U2,"SPAN",{});var X2=r(pl);y(cs.$$.fragment,X2),X2.forEach(t),U2.forEach(t),p_=u(Fu),ul=s(Fu,"SPAN",{});var Q2=r(ul);u_=d(Q2,"MBart50Tokenizer"),Q2.forEach(t),Fu.forEach(t),Ip=u(o),L=s(o,"DIV",{class:!0});var ne=r(L);y(ps.$$.fragment,ne),h_=u(ne),us=s(ne,"P",{});var qu=r(us);m_=d(qu,"Construct a MBart50 tokenizer. Based on "),hs=s(qu,"A",{href:!0,rel:!0});var H2=r(hs);f_=d(H2,"SentencePiece"),H2.forEach(t),__=d(qu,"."),qu.forEach(t),g_=u(ne),ms=s(ne,"P",{});var Bu=r(ms);k_=d(Bu,"This tokenizer inherits from "),Ci=s(Bu,"A",{href:!0});var V2=r(Ci);b_=d(V2,"PreTrainedTokenizer"),V2.forEach(t),v_=d(Bu,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Bu.forEach(t),y_=u(ne),y(on.$$.fragment,ne),T_=u(ne),st=s(ne,"DIV",{class:!0});var ba=r(st);y(fs.$$.fragment,ba),w_=u(ba),_s=s(ba,"P",{});var ju=r(_s);$_=d(ju,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),hl=s(ju,"CODE",{});var K2=r(hl);x_=d(K2,"X"),K2.forEach(t),M_=d(ju," represents the sequence:"),ju.forEach(t),z_=u(ba),gs=s(ba,"UL",{});var Eu=r(gs);ks=s(Eu,"LI",{});var Cu=r(ks);ml=s(Cu,"CODE",{});var J2=r(ml);F_=d(J2,"input_ids"),J2.forEach(t),q_=d(Cu," (for encoder) "),fl=s(Cu,"CODE",{});var Z2=r(fl);B_=d(Z2,"[src_lang_code] X [eos]"),Z2.forEach(t),Cu.forEach(t),j_=u(Eu),bs=s(Eu,"LI",{});var Au=r(bs);_l=s(Au,"CODE",{});var Y2=r(_l);E_=d(Y2,"labels"),Y2.forEach(t),C_=d(Au,": (for decoder) "),gl=s(Au,"CODE",{});var ew=r(gl);A_=d(ew,"[tgt_lang_code] X [eos]"),ew.forEach(t),Au.forEach(t),Eu.forEach(t),P_=u(ba),kl=s(ba,"P",{});var tw=r(kl);S_=d(tw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),tw.forEach(t),ba.forEach(t),O_=u(ne),nn=s(ne,"DIV",{class:!0});var Pu=r(nn);y(vs.$$.fragment,Pu),I_=u(Pu),bl=s(Pu,"P",{});var ow=r(bl);N_=d(ow,"Converts a sequence of tokens (string) in a single string."),ow.forEach(t),Pu.forEach(t),D_=u(ne),an=s(ne,"DIV",{class:!0});var Su=r(an);y(ys.$$.fragment,Su),L_=u(Su),Ts=s(Su,"P",{});var Ou=r(Ts);G_=d(Ou,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),vl=s(Ou,"CODE",{});var nw=r(vl);W_=d(nw,"prepare_for_model"),nw.forEach(t),R_=d(Ou," method."),Ou.forEach(t),Su.forEach(t),U_=u(ne),sn=s(ne,"DIV",{class:!0});var Iu=r(sn);y(ws.$$.fragment,Iu),X_=u(Iu),yl=s(Iu,"P",{});var aw=r(yl);Q_=d(aw,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),aw.forEach(t),Iu.forEach(t),H_=u(ne),rn=s(ne,"DIV",{class:!0});var Nu=r(rn);y($s.$$.fragment,Nu),V_=u(Nu),Tl=s(Nu,"P",{});var sw=r(Tl);K_=d(sw,"Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),sw.forEach(t),Nu.forEach(t),ne.forEach(t),Np=u(o),_o=s(o,"H2",{class:!0});var Du=r(_o);dn=s(Du,"A",{id:!0,class:!0,href:!0});var rw=r(dn);wl=s(rw,"SPAN",{});var iw=r(wl);y(xs.$$.fragment,iw),iw.forEach(t),rw.forEach(t),J_=u(Du),$l=s(Du,"SPAN",{});var dw=r($l);Z_=d(dw,"MBart50TokenizerFast"),dw.forEach(t),Du.forEach(t),Dp=u(o),ee=s(o,"DIV",{class:!0});var Ne=r(ee);y(Ms.$$.fragment,Ne),Y_=u(Ne),go=s(Ne,"P",{});var ad=r(go);eg=d(ad,"Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),xl=s(ad,"EM",{});var lw=r(xl);tg=d(lw,"tokenizers"),lw.forEach(t),og=d(ad,` library). Based on
`),zs=s(ad,"A",{href:!0,rel:!0});var cw=r(zs);ng=d(cw,"BPE"),cw.forEach(t),ag=d(ad,"."),ad.forEach(t),sg=u(Ne),Fs=s(Ne,"P",{});var Lu=r(Fs);rg=d(Lu,"This tokenizer inherits from "),Ai=s(Lu,"A",{href:!0});var pw=r(Ai);ig=d(pw,"PreTrainedTokenizerFast"),pw.forEach(t),dg=d(Lu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Lu.forEach(t),lg=u(Ne),y(ln.$$.fragment,Ne),cg=u(Ne),Ae=s(Ne,"DIV",{class:!0});var Gt=r(Ae);y(qs.$$.fragment,Gt),pg=u(Gt),Ml=s(Gt,"P",{});var uw=r(Ml);ug=d(uw,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),uw.forEach(t),hg=u(Gt),Bs=s(Gt,"P",{});var Gu=r(Bs);mg=d(Gu,"An MBART-50 sequence has the following format, where "),zl=s(Gu,"CODE",{});var hw=r(zl);fg=d(hw,"X"),hw.forEach(t),_g=d(Gu," represents the sequence:"),Gu.forEach(t),gg=u(Gt),js=s(Gt,"UL",{});var Wu=r(js);Es=s(Wu,"LI",{});var Ru=r(Es);Fl=s(Ru,"CODE",{});var mw=r(Fl);kg=d(mw,"input_ids"),mw.forEach(t),bg=d(Ru," (for encoder) "),ql=s(Ru,"CODE",{});var fw=r(ql);vg=d(fw,"[src_lang_code] X [eos]"),fw.forEach(t),Ru.forEach(t),yg=u(Wu),Cs=s(Wu,"LI",{});var Uu=r(Cs);Bl=s(Uu,"CODE",{});var _w=r(Bl);Tg=d(_w,"labels"),_w.forEach(t),wg=d(Uu,": (for decoder) "),jl=s(Uu,"CODE",{});var gw=r(jl);$g=d(gw,"[tgt_lang_code] X [eos]"),gw.forEach(t),Uu.forEach(t),Wu.forEach(t),xg=u(Gt),El=s(Gt,"P",{});var kw=r(El);Mg=d(kw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),kw.forEach(t),Gt.forEach(t),zg=u(Ne),cn=s(Ne,"DIV",{class:!0});var Xu=r(cn);y(As.$$.fragment,Xu),Fg=u(Xu),Cl=s(Xu,"P",{});var bw=r(Cl);qg=d(bw,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),bw.forEach(t),Xu.forEach(t),Bg=u(Ne),pn=s(Ne,"DIV",{class:!0});var Qu=r(pn);y(Ps.$$.fragment,Qu),jg=u(Qu),Al=s(Qu,"P",{});var vw=r(Al);Eg=d(vw,"Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),vw.forEach(t),Qu.forEach(t),Ne.forEach(t),Lp=u(o),ko=s(o,"H2",{class:!0});var Hu=r(ko);un=s(Hu,"A",{id:!0,class:!0,href:!0});var yw=r(un);Pl=s(yw,"SPAN",{});var Tw=r(Pl);y(Ss.$$.fragment,Tw),Tw.forEach(t),yw.forEach(t),Cg=u(Hu),Sl=s(Hu,"SPAN",{});var ww=r(Sl);Ag=d(ww,"MBartModel"),ww.forEach(t),Hu.forEach(t),Gp=u(o),Ke=s(o,"DIV",{class:!0});var va=r(Ke);y(Os.$$.fragment,va),Pg=u(va),Is=s(va,"P",{});var Vu=r(Is);Sg=d(Vu,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Pi=s(Vu,"A",{href:!0});var $w=r(Pi);Og=d($w,"PreTrainedModel"),$w.forEach(t),Ig=d(Vu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vu.forEach(t),Ng=u(va),Ns=s(va,"P",{});var Ku=r(Ns);Dg=d(Ku,"This model is also a PyTorch "),Ds=s(Ku,"A",{href:!0,rel:!0});var xw=r(Ds);Lg=d(xw,"torch.nn.Module"),xw.forEach(t),Gg=d(Ku,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ku.forEach(t),Wg=u(va),rt=s(va,"DIV",{class:!0});var ya=r(rt);y(Ls.$$.fragment,ya),Rg=u(ya),bo=s(ya,"P",{});var sd=r(bo);Ug=d(sd,"The "),Si=s(sd,"A",{href:!0});var Mw=r(Si);Xg=d(Mw,"MBartModel"),Mw.forEach(t),Qg=d(sd," forward method, overrides the "),Ol=s(sd,"CODE",{});var zw=r(Ol);Hg=d(zw,"__call__"),zw.forEach(t),Vg=d(sd," special method."),sd.forEach(t),Kg=u(ya),y(hn.$$.fragment,ya),Jg=u(ya),y(mn.$$.fragment,ya),ya.forEach(t),va.forEach(t),Wp=u(o),vo=s(o,"H2",{class:!0});var Ju=r(vo);fn=s(Ju,"A",{id:!0,class:!0,href:!0});var Fw=r(fn);Il=s(Fw,"SPAN",{});var qw=r(Il);y(Gs.$$.fragment,qw),qw.forEach(t),Fw.forEach(t),Zg=u(Ju),Nl=s(Ju,"SPAN",{});var Bw=r(Nl);Yg=d(Bw,"MBartForConditionalGeneration"),Bw.forEach(t),Ju.forEach(t),Rp=u(o),Je=s(o,"DIV",{class:!0});var Ta=r(Je);y(Ws.$$.fragment,Ta),ek=u(Ta),Rs=s(Ta,"P",{});var Zu=r(Rs);tk=d(Zu,`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Oi=s(Zu,"A",{href:!0});var jw=r(Oi);ok=d(jw,"PreTrainedModel"),jw.forEach(t),nk=d(Zu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zu.forEach(t),ak=u(Ta),Us=s(Ta,"P",{});var Yu=r(Us);sk=d(Yu,"This model is also a PyTorch "),Xs=s(Yu,"A",{href:!0,rel:!0});var Ew=r(Xs);rk=d(Ew,"torch.nn.Module"),Ew.forEach(t),ik=d(Yu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Yu.forEach(t),dk=u(Ta),Pe=s(Ta,"DIV",{class:!0});var Wt=r(Pe);y(Qs.$$.fragment,Wt),lk=u(Wt),yo=s(Wt,"P",{});var rd=r(yo);ck=d(rd,"The "),Ii=s(rd,"A",{href:!0});var Cw=r(Ii);pk=d(Cw,"MBartForConditionalGeneration"),Cw.forEach(t),uk=d(rd," forward method, overrides the "),Dl=s(rd,"CODE",{});var Aw=r(Dl);hk=d(Aw,"__call__"),Aw.forEach(t),mk=d(rd," special method."),rd.forEach(t),fk=u(Wt),y(_n.$$.fragment,Wt),_k=u(Wt),y(gn.$$.fragment,Wt),gk=u(Wt),y(kn.$$.fragment,Wt),Wt.forEach(t),Ta.forEach(t),Up=u(o),To=s(o,"H2",{class:!0});var eh=r(To);bn=s(eh,"A",{id:!0,class:!0,href:!0});var Pw=r(bn);Ll=s(Pw,"SPAN",{});var Sw=r(Ll);y(Hs.$$.fragment,Sw),Sw.forEach(t),Pw.forEach(t),kk=u(eh),Gl=s(eh,"SPAN",{});var Ow=r(Gl);bk=d(Ow,"MBartForQuestionAnswering"),Ow.forEach(t),eh.forEach(t),Xp=u(o),Fe=s(o,"DIV",{class:!0});var Rt=r(Fe);y(Vs.$$.fragment,Rt),vk=u(Rt),wo=s(Rt,"P",{});var id=r(wo);yk=d(id,`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Wl=s(id,"CODE",{});var Iw=r(Wl);Tk=d(Iw,"span start logits"),Iw.forEach(t),wk=d(id," and "),Rl=s(id,"CODE",{});var Nw=r(Rl);$k=d(Nw,"span end logits"),Nw.forEach(t),xk=d(id,")."),id.forEach(t),Mk=u(Rt),Ks=s(Rt,"P",{});var th=r(Ks);zk=d(th,"This model inherits from "),Ni=s(th,"A",{href:!0});var Dw=r(Ni);Fk=d(Dw,"PreTrainedModel"),Dw.forEach(t),qk=d(th,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),th.forEach(t),Bk=u(Rt),Js=s(Rt,"P",{});var oh=r(Js);jk=d(oh,"This model is also a PyTorch "),Zs=s(oh,"A",{href:!0,rel:!0});var Lw=r(Zs);Ek=d(Lw,"torch.nn.Module"),Lw.forEach(t),Ck=d(oh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),oh.forEach(t),Ak=u(Rt),it=s(Rt,"DIV",{class:!0});var wa=r(it);y(Ys.$$.fragment,wa),Pk=u(wa),$o=s(wa,"P",{});var dd=r($o);Sk=d(dd,"The "),Di=s(dd,"A",{href:!0});var Gw=r(Di);Ok=d(Gw,"MBartForQuestionAnswering"),Gw.forEach(t),Ik=d(dd," forward method, overrides the "),Ul=s(dd,"CODE",{});var Ww=r(Ul);Nk=d(Ww,"__call__"),Ww.forEach(t),Dk=d(dd," special method."),dd.forEach(t),Lk=u(wa),y(vn.$$.fragment,wa),Gk=u(wa),y(yn.$$.fragment,wa),wa.forEach(t),Rt.forEach(t),Qp=u(o),xo=s(o,"H2",{class:!0});var nh=r(xo);Tn=s(nh,"A",{id:!0,class:!0,href:!0});var Rw=r(Tn);Xl=s(Rw,"SPAN",{});var Uw=r(Xl);y(er.$$.fragment,Uw),Uw.forEach(t),Rw.forEach(t),Wk=u(nh),Ql=s(nh,"SPAN",{});var Xw=r(Ql);Rk=d(Xw,"MBartForSequenceClassification"),Xw.forEach(t),nh.forEach(t),Hp=u(o),qe=s(o,"DIV",{class:!0});var Ut=r(qe);y(tr.$$.fragment,Ut),Uk=u(Ut),Hl=s(Ut,"P",{});var Qw=r(Hl);Xk=d(Qw,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),Qw.forEach(t),Qk=u(Ut),or=s(Ut,"P",{});var ah=r(or);Hk=d(ah,"This model inherits from "),Li=s(ah,"A",{href:!0});var Hw=r(Li);Vk=d(Hw,"PreTrainedModel"),Hw.forEach(t),Kk=d(ah,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ah.forEach(t),Jk=u(Ut),nr=s(Ut,"P",{});var sh=r(nr);Zk=d(sh,"This model is also a PyTorch "),ar=s(sh,"A",{href:!0,rel:!0});var Vw=r(ar);Yk=d(Vw,"torch.nn.Module"),Vw.forEach(t),eb=d(sh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sh.forEach(t),tb=u(Ut),Se=s(Ut,"DIV",{class:!0});var Xt=r(Se);y(sr.$$.fragment,Xt),ob=u(Xt),Mo=s(Xt,"P",{});var ld=r(Mo);nb=d(ld,"The "),Gi=s(ld,"A",{href:!0});var Kw=r(Gi);ab=d(Kw,"MBartForSequenceClassification"),Kw.forEach(t),sb=d(ld," forward method, overrides the "),Vl=s(ld,"CODE",{});var Jw=r(Vl);rb=d(Jw,"__call__"),Jw.forEach(t),ib=d(ld," special method."),ld.forEach(t),db=u(Xt),y(wn.$$.fragment,Xt),lb=u(Xt),y($n.$$.fragment,Xt),cb=u(Xt),y(xn.$$.fragment,Xt),Xt.forEach(t),Ut.forEach(t),Vp=u(o),zo=s(o,"H2",{class:!0});var rh=r(zo);Mn=s(rh,"A",{id:!0,class:!0,href:!0});var Zw=r(Mn);Kl=s(Zw,"SPAN",{});var Yw=r(Kl);y(rr.$$.fragment,Yw),Yw.forEach(t),Zw.forEach(t),pb=u(rh),Jl=s(rh,"SPAN",{});var e0=r(Jl);ub=d(e0,"MBartForCausalLM"),e0.forEach(t),rh.forEach(t),Kp=u(o),Fo=s(o,"DIV",{class:!0});var ih=r(Fo);y(ir.$$.fragment,ih),hb=u(ih),zn=s(ih,"DIV",{class:!0});var dh=r(zn);y(dr.$$.fragment,dh),mb=u(dh),y(Fn.$$.fragment,dh),dh.forEach(t),ih.forEach(t),Jp=u(o),qo=s(o,"H2",{class:!0});var lh=r(qo);qn=s(lh,"A",{id:!0,class:!0,href:!0});var t0=r(qn);Zl=s(t0,"SPAN",{});var o0=r(Zl);y(lr.$$.fragment,o0),o0.forEach(t),t0.forEach(t),fb=u(lh),Yl=s(lh,"SPAN",{});var n0=r(Yl);_b=d(n0,"TFMBartModel"),n0.forEach(t),lh.forEach(t),Zp=u(o),Be=s(o,"DIV",{class:!0});var Qt=r(Be);y(cr.$$.fragment,Qt),gb=u(Qt),pr=s(Qt,"P",{});var ch=r(pr);kb=d(ch,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Wi=s(ch,"A",{href:!0});var a0=r(Wi);bb=d(a0,"TFPreTrainedModel"),a0.forEach(t),vb=d(ch,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ch.forEach(t),yb=u(Qt),ur=s(Qt,"P",{});var ph=r(ur);Tb=d(ph,"This model is also a "),hr=s(ph,"A",{href:!0,rel:!0});var s0=r(hr);wb=d(s0,"tf.keras.Model"),s0.forEach(t),$b=d(ph,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ph.forEach(t),xb=u(Qt),y(Bn.$$.fragment,Qt),Mb=u(Qt),dt=s(Qt,"DIV",{class:!0});var $a=r(dt);y(mr.$$.fragment,$a),zb=u($a),Bo=s($a,"P",{});var cd=r(Bo);Fb=d(cd,"The "),Ri=s(cd,"A",{href:!0});var r0=r(Ri);qb=d(r0,"TFMBartModel"),r0.forEach(t),Bb=d(cd," forward method, overrides the "),ec=s(cd,"CODE",{});var i0=r(ec);jb=d(i0,"__call__"),i0.forEach(t),Eb=d(cd," special method."),cd.forEach(t),Cb=u($a),y(jn.$$.fragment,$a),Ab=u($a),y(En.$$.fragment,$a),$a.forEach(t),Qt.forEach(t),Yp=u(o),jo=s(o,"H2",{class:!0});var uh=r(jo);Cn=s(uh,"A",{id:!0,class:!0,href:!0});var d0=r(Cn);tc=s(d0,"SPAN",{});var l0=r(tc);y(fr.$$.fragment,l0),l0.forEach(t),d0.forEach(t),Pb=u(uh),oc=s(uh,"SPAN",{});var c0=r(oc);Sb=d(c0,"TFMBartForConditionalGeneration"),c0.forEach(t),uh.forEach(t),eu=u(o),je=s(o,"DIV",{class:!0});var Ht=r(je);y(_r.$$.fragment,Ht),Ob=u(Ht),gr=s(Ht,"P",{});var hh=r(gr);Ib=d(hh,`The MBART Model with a language modeling head. Can be used for summarization.
This model inherits from `),Ui=s(hh,"A",{href:!0});var p0=r(Ui);Nb=d(p0,"TFPreTrainedModel"),p0.forEach(t),Db=d(hh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hh.forEach(t),Lb=u(Ht),kr=s(Ht,"P",{});var mh=r(kr);Gb=d(mh,"This model is also a "),br=s(mh,"A",{href:!0,rel:!0});var u0=r(br);Wb=d(u0,"tf.keras.Model"),u0.forEach(t),Rb=d(mh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),mh.forEach(t),Ub=u(Ht),y(An.$$.fragment,Ht),Xb=u(Ht),Oe=s(Ht,"DIV",{class:!0});var Vt=r(Oe);y(vr.$$.fragment,Vt),Qb=u(Vt),Eo=s(Vt,"P",{});var pd=r(Eo);Hb=d(pd,"The "),Xi=s(pd,"A",{href:!0});var h0=r(Xi);Vb=d(h0,"TFMBartForConditionalGeneration"),h0.forEach(t),Kb=d(pd," forward method, overrides the "),nc=s(pd,"CODE",{});var m0=r(nc);Jb=d(m0,"__call__"),m0.forEach(t),Zb=d(pd," special method."),pd.forEach(t),Yb=u(Vt),y(Pn.$$.fragment,Vt),ev=u(Vt),y(Sn.$$.fragment,Vt),tv=u(Vt),y(On.$$.fragment,Vt),Vt.forEach(t),Ht.forEach(t),tu=u(o),Co=s(o,"H2",{class:!0});var fh=r(Co);In=s(fh,"A",{id:!0,class:!0,href:!0});var f0=r(In);ac=s(f0,"SPAN",{});var _0=r(ac);y(yr.$$.fragment,_0),_0.forEach(t),f0.forEach(t),ov=u(fh),sc=s(fh,"SPAN",{});var g0=r(sc);nv=d(g0,"FlaxMBartModel"),g0.forEach(t),fh.forEach(t),ou=u(o),Q=s(o,"DIV",{class:!0});var ge=r(Q);y(Tr.$$.fragment,ge),av=u(ge),wr=s(ge,"P",{});var _h=r(wr);sv=d(_h,`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),Qi=s(_h,"A",{href:!0});var k0=r(Qi);rv=d(k0,"FlaxPreTrainedModel"),k0.forEach(t),iv=d(_h,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_h.forEach(t),dv=u(ge),$r=s(ge,"P",{});var gh=r($r);lv=d(gh,`This model is also a Flax Linen
`),xr=s(gh,"A",{href:!0,rel:!0});var b0=r(xr);cv=d(b0,"flax.nn.Module"),b0.forEach(t),pv=d(gh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),gh.forEach(t),uv=u(ge),rc=s(ge,"P",{});var v0=r(rc);hv=d(v0,"Finally, this model supports inherent JAX features such as:"),v0.forEach(t),mv=u(ge),At=s(ge,"UL",{});var xa=r(At);ic=s(xa,"LI",{});var y0=r(ic);Mr=s(y0,"A",{href:!0,rel:!0});var T0=r(Mr);fv=d(T0,"Just-In-Time (JIT) compilation"),T0.forEach(t),y0.forEach(t),_v=u(xa),dc=s(xa,"LI",{});var w0=r(dc);zr=s(w0,"A",{href:!0,rel:!0});var $0=r(zr);gv=d($0,"Automatic Differentiation"),$0.forEach(t),w0.forEach(t),kv=u(xa),lc=s(xa,"LI",{});var x0=r(lc);Fr=s(x0,"A",{href:!0,rel:!0});var M0=r(Fr);bv=d(M0,"Vectorization"),M0.forEach(t),x0.forEach(t),vv=u(xa),cc=s(xa,"LI",{});var z0=r(cc);qr=s(z0,"A",{href:!0,rel:!0});var F0=r(qr);yv=d(F0,"Parallelization"),F0.forEach(t),z0.forEach(t),xa.forEach(t),Tv=u(ge),lt=s(ge,"DIV",{class:!0});var Ma=r(lt);y(Br.$$.fragment,Ma),wv=u(Ma),Ao=s(Ma,"P",{});var ud=r(Ao);$v=d(ud,"The "),pc=s(ud,"CODE",{});var q0=r(pc);xv=d(q0,"FlaxMBartPreTrainedModel"),q0.forEach(t),Mv=d(ud," forward method, overrides the "),uc=s(ud,"CODE",{});var B0=r(uc);zv=d(B0,"__call__"),B0.forEach(t),Fv=d(ud," special method."),ud.forEach(t),qv=u(Ma),y(Nn.$$.fragment,Ma),Bv=u(Ma),y(Dn.$$.fragment,Ma),Ma.forEach(t),jv=u(ge),Ln=s(ge,"DIV",{class:!0});var kh=r(Ln);y(jr.$$.fragment,kh),Ev=u(kh),y(Gn.$$.fragment,kh),kh.forEach(t),Cv=u(ge),Wn=s(ge,"DIV",{class:!0});var bh=r(Wn);y(Er.$$.fragment,bh),Av=u(bh),y(Rn.$$.fragment,bh),bh.forEach(t),ge.forEach(t),nu=u(o),Po=s(o,"H2",{class:!0});var vh=r(Po);Un=s(vh,"A",{id:!0,class:!0,href:!0});var j0=r(Un);hc=s(j0,"SPAN",{});var E0=r(hc);y(Cr.$$.fragment,E0),E0.forEach(t),j0.forEach(t),Pv=u(vh),mc=s(vh,"SPAN",{});var C0=r(mc);Sv=d(C0,"FlaxMBartForConditionalGeneration"),C0.forEach(t),vh.forEach(t),au=u(o),H=s(o,"DIV",{class:!0});var ke=r(H);y(Ar.$$.fragment,ke),Ov=u(ke),Pr=s(ke,"P",{});var yh=r(Pr);Iv=d(yh,`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),Hi=s(yh,"A",{href:!0});var A0=r(Hi);Nv=d(A0,"FlaxPreTrainedModel"),A0.forEach(t),Dv=d(yh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yh.forEach(t),Lv=u(ke),Sr=s(ke,"P",{});var Th=r(Sr);Gv=d(Th,`This model is also a Flax Linen
`),Or=s(Th,"A",{href:!0,rel:!0});var P0=r(Or);Wv=d(P0,"flax.nn.Module"),P0.forEach(t),Rv=d(Th,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Th.forEach(t),Uv=u(ke),fc=s(ke,"P",{});var S0=r(fc);Xv=d(S0,"Finally, this model supports inherent JAX features such as:"),S0.forEach(t),Qv=u(ke),Pt=s(ke,"UL",{});var za=r(Pt);_c=s(za,"LI",{});var O0=r(_c);Ir=s(O0,"A",{href:!0,rel:!0});var I0=r(Ir);Hv=d(I0,"Just-In-Time (JIT) compilation"),I0.forEach(t),O0.forEach(t),Vv=u(za),gc=s(za,"LI",{});var N0=r(gc);Nr=s(N0,"A",{href:!0,rel:!0});var D0=r(Nr);Kv=d(D0,"Automatic Differentiation"),D0.forEach(t),N0.forEach(t),Jv=u(za),kc=s(za,"LI",{});var L0=r(kc);Dr=s(L0,"A",{href:!0,rel:!0});var G0=r(Dr);Zv=d(G0,"Vectorization"),G0.forEach(t),L0.forEach(t),Yv=u(za),bc=s(za,"LI",{});var W0=r(bc);Lr=s(W0,"A",{href:!0,rel:!0});var R0=r(Lr);ey=d(R0,"Parallelization"),R0.forEach(t),W0.forEach(t),za.forEach(t),ty=u(ke),Ie=s(ke,"DIV",{class:!0});var Kt=r(Ie);y(Gr.$$.fragment,Kt),oy=u(Kt),So=s(Kt,"P",{});var hd=r(So);ny=d(hd,"The "),vc=s(hd,"CODE",{});var U0=r(vc);ay=d(U0,"FlaxMBartPreTrainedModel"),U0.forEach(t),sy=d(hd," forward method, overrides the "),yc=s(hd,"CODE",{});var X0=r(yc);ry=d(X0,"__call__"),X0.forEach(t),iy=d(hd," special method."),hd.forEach(t),dy=u(Kt),y(Xn.$$.fragment,Kt),ly=u(Kt),y(Qn.$$.fragment,Kt),cy=u(Kt),y(Hn.$$.fragment,Kt),Kt.forEach(t),py=u(ke),Vn=s(ke,"DIV",{class:!0});var wh=r(Vn);y(Wr.$$.fragment,wh),uy=u(wh),y(Kn.$$.fragment,wh),wh.forEach(t),hy=u(ke),Jn=s(ke,"DIV",{class:!0});var $h=r(Jn);y(Rr.$$.fragment,$h),my=u($h),y(Zn.$$.fragment,$h),$h.forEach(t),ke.forEach(t),su=u(o),Oo=s(o,"H2",{class:!0});var xh=r(Oo);Yn=s(xh,"A",{id:!0,class:!0,href:!0});var Q0=r(Yn);Tc=s(Q0,"SPAN",{});var H0=r(Tc);y(Ur.$$.fragment,H0),H0.forEach(t),Q0.forEach(t),fy=u(xh),wc=s(xh,"SPAN",{});var V0=r(wc);_y=d(V0,"FlaxMBartForSequenceClassification"),V0.forEach(t),xh.forEach(t),ru=u(o),G=s(o,"DIV",{class:!0});var ae=r(G);y(Xr.$$.fragment,ae),gy=u(ae),$c=s(ae,"P",{});var K0=r($c);ky=d(K0,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),K0.forEach(t),by=u(ae),Qr=s(ae,"P",{});var Mh=r(Qr);vy=d(Mh,"This model inherits from "),Vi=s(Mh,"A",{href:!0});var J0=r(Vi);yy=d(J0,"FlaxPreTrainedModel"),J0.forEach(t),Ty=d(Mh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mh.forEach(t),wy=u(ae),Hr=s(ae,"P",{});var zh=r(Hr);$y=d(zh,`This model is also a Flax Linen
`),Vr=s(zh,"A",{href:!0,rel:!0});var Z0=r(Vr);xy=d(Z0,"flax.nn.Module"),Z0.forEach(t),My=d(zh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),zh.forEach(t),zy=u(ae),xc=s(ae,"P",{});var Y0=r(xc);Fy=d(Y0,"Finally, this model supports inherent JAX features such as:"),Y0.forEach(t),qy=u(ae),St=s(ae,"UL",{});var Fa=r(St);Mc=s(Fa,"LI",{});var e$=r(Mc);Kr=s(e$,"A",{href:!0,rel:!0});var t$=r(Kr);By=d(t$,"Just-In-Time (JIT) compilation"),t$.forEach(t),e$.forEach(t),jy=u(Fa),zc=s(Fa,"LI",{});var o$=r(zc);Jr=s(o$,"A",{href:!0,rel:!0});var n$=r(Jr);Ey=d(n$,"Automatic Differentiation"),n$.forEach(t),o$.forEach(t),Cy=u(Fa),Fc=s(Fa,"LI",{});var a$=r(Fc);Zr=s(a$,"A",{href:!0,rel:!0});var s$=r(Zr);Ay=d(s$,"Vectorization"),s$.forEach(t),a$.forEach(t),Py=u(Fa),qc=s(Fa,"LI",{});var r$=r(qc);Yr=s(r$,"A",{href:!0,rel:!0});var i$=r(Yr);Sy=d(i$,"Parallelization"),i$.forEach(t),r$.forEach(t),Fa.forEach(t),Oy=u(ae),ct=s(ae,"DIV",{class:!0});var qa=r(ct);y(ei.$$.fragment,qa),Iy=u(qa),Io=s(qa,"P",{});var md=r(Io);Ny=d(md,"The "),Bc=s(md,"CODE",{});var d$=r(Bc);Dy=d(d$,"FlaxMBartPreTrainedModel"),d$.forEach(t),Ly=d(md," forward method, overrides the "),jc=s(md,"CODE",{});var l$=r(jc);Gy=d(l$,"__call__"),l$.forEach(t),Wy=d(md," special method."),md.forEach(t),Ry=u(qa),y(ea.$$.fragment,qa),Uy=u(qa),y(ta.$$.fragment,qa),qa.forEach(t),Xy=u(ae),oa=s(ae,"DIV",{class:!0});var Fh=r(oa);y(ti.$$.fragment,Fh),Qy=u(Fh),y(na.$$.fragment,Fh),Fh.forEach(t),Hy=u(ae),aa=s(ae,"DIV",{class:!0});var qh=r(aa);y(oi.$$.fragment,qh),Vy=u(qh),y(sa.$$.fragment,qh),qh.forEach(t),ae.forEach(t),iu=u(o),No=s(o,"H2",{class:!0});var Bh=r(No);ra=s(Bh,"A",{id:!0,class:!0,href:!0});var c$=r(ra);Ec=s(c$,"SPAN",{});var p$=r(Ec);y(ni.$$.fragment,p$),p$.forEach(t),c$.forEach(t),Ky=u(Bh),Cc=s(Bh,"SPAN",{});var u$=r(Cc);Jy=d(u$,"FlaxMBartForQuestionAnswering"),u$.forEach(t),Bh.forEach(t),du=u(o),W=s(o,"DIV",{class:!0});var se=r(W);y(ai.$$.fragment,se),Zy=u(se),Do=s(se,"P",{});var fd=r(Do);Yy=d(fd,`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Ac=s(fd,"CODE",{});var h$=r(Ac);eT=d(h$,"span start logits"),h$.forEach(t),tT=d(fd," and "),Pc=s(fd,"CODE",{});var m$=r(Pc);oT=d(m$,"span end logits"),m$.forEach(t),nT=d(fd,")."),fd.forEach(t),aT=u(se),si=s(se,"P",{});var jh=r(si);sT=d(jh,"This model inherits from "),Ki=s(jh,"A",{href:!0});var f$=r(Ki);rT=d(f$,"FlaxPreTrainedModel"),f$.forEach(t),iT=d(jh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jh.forEach(t),dT=u(se),ri=s(se,"P",{});var Eh=r(ri);lT=d(Eh,`This model is also a Flax Linen
`),ii=s(Eh,"A",{href:!0,rel:!0});var _$=r(ii);cT=d(_$,"flax.nn.Module"),_$.forEach(t),pT=d(Eh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Eh.forEach(t),uT=u(se),Sc=s(se,"P",{});var g$=r(Sc);hT=d(g$,"Finally, this model supports inherent JAX features such as:"),g$.forEach(t),mT=u(se),Ot=s(se,"UL",{});var Ba=r(Ot);Oc=s(Ba,"LI",{});var k$=r(Oc);di=s(k$,"A",{href:!0,rel:!0});var b$=r(di);fT=d(b$,"Just-In-Time (JIT) compilation"),b$.forEach(t),k$.forEach(t),_T=u(Ba),Ic=s(Ba,"LI",{});var v$=r(Ic);li=s(v$,"A",{href:!0,rel:!0});var y$=r(li);gT=d(y$,"Automatic Differentiation"),y$.forEach(t),v$.forEach(t),kT=u(Ba),Nc=s(Ba,"LI",{});var T$=r(Nc);ci=s(T$,"A",{href:!0,rel:!0});var w$=r(ci);bT=d(w$,"Vectorization"),w$.forEach(t),T$.forEach(t),vT=u(Ba),Dc=s(Ba,"LI",{});var $$=r(Dc);pi=s($$,"A",{href:!0,rel:!0});var x$=r(pi);yT=d(x$,"Parallelization"),x$.forEach(t),$$.forEach(t),Ba.forEach(t),TT=u(se),pt=s(se,"DIV",{class:!0});var ja=r(pt);y(ui.$$.fragment,ja),wT=u(ja),Lo=s(ja,"P",{});var _d=r(Lo);$T=d(_d,"The "),Lc=s(_d,"CODE",{});var M$=r(Lc);xT=d(M$,"FlaxMBartPreTrainedModel"),M$.forEach(t),MT=d(_d," forward method, overrides the "),Gc=s(_d,"CODE",{});var z$=r(Gc);zT=d(z$,"__call__"),z$.forEach(t),FT=d(_d," special method."),_d.forEach(t),qT=u(ja),y(ia.$$.fragment,ja),BT=u(ja),y(da.$$.fragment,ja),ja.forEach(t),jT=u(se),la=s(se,"DIV",{class:!0});var Ch=r(la);y(hi.$$.fragment,Ch),ET=u(Ch),y(ca.$$.fragment,Ch),Ch.forEach(t),CT=u(se),pa=s(se,"DIV",{class:!0});var Ah=r(pa);y(mi.$$.fragment,Ah),AT=u(Ah),y(ua.$$.fragment,Ah),Ah.forEach(t),se.forEach(t),this.h()},h(){m(l,"name","hf:doc:metadata"),m(l,"content",JSON.stringify(vx)),m(h,"id","mbart-and-mbart50"),m(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(h,"href","#mbart-and-mbart50"),m(f,"class","relative group"),m(be,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),m(be,"rel","nofollow"),m(pe,"id","overview-of-mbart"),m(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(pe,"href","#overview-of-mbart"),m(X,"class","relative group"),m(we,"href","https://arxiv.org/abs/2001.08210"),m(we,"rel","nofollow"),m(J,"href","https://huggingface.co/valhalla"),m(J,"rel","nofollow"),m(O,"href","https://github.com/pytorch/fairseq/tree/master/examples/mbart"),m(O,"rel","nofollow"),m(fe,"id","training-of-mbart"),m(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(fe,"href","#training-of-mbart"),m(ie,"class","relative group"),m(He,"href","/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),m(Wo,"id","overview-of-mbart50"),m(Wo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Wo,"href","#overview-of-mbart50"),m(ao,"class","relative group"),m(Sa,"href","https://arxiv.org/abs/2008.00401"),m(Sa,"rel","nofollow"),m(Ro,"id","training-of-mbart50"),m(Ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ro,"href","#training-of-mbart50"),m(so,"class","relative group"),m($i,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBart50Tokenizer"),m(Xo,"id","transformers.MBartConfig"),m(Xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Xo,"href","#transformers.MBartConfig"),m(ro,"class","relative group"),m(zi,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartModel"),m(Wa,"href","https://huggingface.co/facebook/mbart-large-cc25"),m(Wa,"rel","nofollow"),m(Fi,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),m(qi,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),m(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ho,"id","transformers.MBartTokenizer"),m(Ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ho,"href","#transformers.MBartTokenizer"),m(co,"class","relative group"),m(Bi,"href","/docs/transformers/v4.26.0/en/model_doc/roberta#transformers.RobertaTokenizer"),m(ji,"href","/docs/transformers/v4.26.0/en/model_doc/xlnet#transformers.XLNetTokenizer"),m(Xa,"href","https://github.com/google/sentencepiece"),m(Xa,"rel","nofollow"),m(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ko,"id","transformers.MBartTokenizerFast"),m(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ko,"href","#transformers.MBartTokenizerFast"),m(uo,"class","relative group"),m(es,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(es,"rel","nofollow"),m(Ei,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Zo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Yo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(en,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(tn,"id","transformers.MBart50Tokenizer"),m(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(tn,"href","#transformers.MBart50Tokenizer"),m(fo,"class","relative group"),m(hs,"href","https://github.com/google/sentencepiece"),m(hs,"rel","nofollow"),m(Ci,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),m(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(an,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(dn,"id","transformers.MBart50TokenizerFast"),m(dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(dn,"href","#transformers.MBart50TokenizerFast"),m(_o,"class","relative group"),m(zs,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(zs,"rel","nofollow"),m(Ai,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(pn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(un,"id","transformers.MBartModel"),m(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(un,"href","#transformers.MBartModel"),m(ko,"class","relative group"),m(Pi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),m(Ds,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Ds,"rel","nofollow"),m(Si,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartModel"),m(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(fn,"id","transformers.MBartForConditionalGeneration"),m(fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(fn,"href","#transformers.MBartForConditionalGeneration"),m(vo,"class","relative group"),m(Oi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),m(Xs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Xs,"rel","nofollow"),m(Ii,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartForConditionalGeneration"),m(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(bn,"id","transformers.MBartForQuestionAnswering"),m(bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(bn,"href","#transformers.MBartForQuestionAnswering"),m(To,"class","relative group"),m(Ni,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),m(Zs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Zs,"rel","nofollow"),m(Di,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartForQuestionAnswering"),m(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Tn,"id","transformers.MBartForSequenceClassification"),m(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Tn,"href","#transformers.MBartForSequenceClassification"),m(xo,"class","relative group"),m(Li,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),m(ar,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(ar,"rel","nofollow"),m(Gi,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.MBartForSequenceClassification"),m(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Mn,"id","transformers.MBartForCausalLM"),m(Mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Mn,"href","#transformers.MBartForCausalLM"),m(zo,"class","relative group"),m(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(qn,"id","transformers.TFMBartModel"),m(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(qn,"href","#transformers.TFMBartModel"),m(qo,"class","relative group"),m(Wi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),m(hr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(hr,"rel","nofollow"),m(Ri,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.TFMBartModel"),m(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Cn,"id","transformers.TFMBartForConditionalGeneration"),m(Cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Cn,"href","#transformers.TFMBartForConditionalGeneration"),m(jo,"class","relative group"),m(Ui,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),m(br,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(br,"rel","nofollow"),m(Xi,"href","/docs/transformers/v4.26.0/en/model_doc/mbart#transformers.TFMBartForConditionalGeneration"),m(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(In,"id","transformers.FlaxMBartModel"),m(In,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(In,"href","#transformers.FlaxMBartModel"),m(Co,"class","relative group"),m(Qi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(xr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(xr,"rel","nofollow"),m(Mr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Mr,"rel","nofollow"),m(zr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(zr,"rel","nofollow"),m(Fr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Fr,"rel","nofollow"),m(qr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(qr,"rel","nofollow"),m(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Un,"id","transformers.FlaxMBartForConditionalGeneration"),m(Un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Un,"href","#transformers.FlaxMBartForConditionalGeneration"),m(Po,"class","relative group"),m(Hi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(Or,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(Or,"rel","nofollow"),m(Ir,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Ir,"rel","nofollow"),m(Nr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Nr,"rel","nofollow"),m(Dr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Dr,"rel","nofollow"),m(Lr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Lr,"rel","nofollow"),m(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Vn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Jn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Yn,"id","transformers.FlaxMBartForSequenceClassification"),m(Yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Yn,"href","#transformers.FlaxMBartForSequenceClassification"),m(Oo,"class","relative group"),m(Vi,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(Vr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(Vr,"rel","nofollow"),m(Kr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Kr,"rel","nofollow"),m(Jr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Jr,"rel","nofollow"),m(Zr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Zr,"rel","nofollow"),m(Yr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Yr,"rel","nofollow"),m(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(oa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(aa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ra,"id","transformers.FlaxMBartForQuestionAnswering"),m(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ra,"href","#transformers.FlaxMBartForQuestionAnswering"),m(No,"class","relative group"),m(Ki,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(ii,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(ii,"rel","nofollow"),m(di,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(di,"rel","nofollow"),m(li,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(li,"rel","nofollow"),m(ci,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(ci,"rel","nofollow"),m(pi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(pi,"rel","nofollow"),m(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,l),k(o,b,_),k(o,f,_),e(f,h),e(h,g),T(n,g,null),e(f,c),e(f,q),e(q,ft),k(o,Ye,_),k(o,U,_),e(U,De),e(De,Le),e(U,B),e(U,be),e(be,ve),e(U,_t),k(o,et,_),k(o,X,_),e(X,pe),e(pe,Ge),T(K,Ge,null),e(X,gt),e(X,We),e(We,ye),k(o,tt,_),k(o,ue,_),e(ue,Te),e(ue,we),e(we,kt),e(ue,Re),k(o,S,_),k(o,I,_),e(I,bt),k(o,he,_),k(o,re,_),e(re,vt),e(re,J),e(J,yt),e(re,Tt),e(re,O),e(O,wt),k(o,me,_),k(o,ie,_),e(ie,fe),e(fe,de),T($e,de,null),e(ie,$t),e(ie,Z),e(Z,xt),k(o,_e,_),k(o,R,_),e(R,Ue),e(R,N),e(N,Mt),e(R,Y),e(R,Xe),e(Xe,zt),e(R,z),e(R,j),e(j,Jt),e(R,Qe),e(R,Ft),e(Ft,Zt),e(R,C),k(o,Nt,_),k(o,te,_),e(te,Yt),e(te,He),e(He,qt),e(qt,le),e(He,xe),e(te,eo),e(te,Bt),e(Bt,Me),e(te,to),e(te,jt),e(jt,Et),e(te,oo),k(o,Ee,_),k(o,ot,_),e(ot,gd),e(gd,Ph),k(o,gp,_),T(Ea,o,_),k(o,kp,_),k(o,yi,_),e(yi,Ca),e(Ca,kd),e(kd,Sh),e(Ca,Oh),e(Ca,no),e(no,Ih),e(no,bd),e(bd,Nh),e(no,Dh),e(no,vd),e(vd,Lh),e(no,Gh),k(o,bp,_),T(Aa,o,_),k(o,vp,_),k(o,ao,_),e(ao,Wo),e(Wo,yd),T(Pa,yd,null),e(ao,Wh),e(ao,Td),e(Td,Rh),k(o,yp,_),k(o,Dt,_),e(Dt,Uh),e(Dt,Sa),e(Sa,Xh),e(Dt,Qh),e(Dt,wd),e(wd,Hh),e(Dt,Vh),k(o,Tp,_),k(o,Ti,_),e(Ti,Kh),k(o,wp,_),k(o,wi,_),e(wi,$d),e($d,Jh),k(o,$p,_),k(o,so,_),e(so,Ro),e(Ro,xd),T(Oa,xd,null),e(so,Zh),e(so,Md),e(Md,Yh),k(o,xp,_),k(o,nt,_),e(nt,em),e(nt,zd),e(zd,tm),e(nt,om),e(nt,Fd),e(Fd,nm),e(nt,am),e(nt,qd),e(qd,sm),e(nt,rm),k(o,Mp,_),k(o,Uo,_),e(Uo,im),e(Uo,$i),e($i,dm),e(Uo,lm),k(o,zp,_),k(o,xi,_),e(xi,Bd),e(Bd,cm),k(o,Fp,_),T(Ia,o,_),k(o,qp,_),k(o,Mi,_),e(Mi,Na),e(Na,jd),e(jd,pm),e(Na,um),e(Na,ze),e(ze,hm),e(ze,Ed),e(Ed,mm),e(ze,fm),e(ze,Cd),e(Cd,_m),e(ze,gm),e(ze,Ad),e(Ad,km),e(ze,bm),e(ze,Pd),e(Pd,vm),e(ze,ym),e(ze,Sd),e(Sd,Tm),e(ze,wm),k(o,Bp,_),T(Da,o,_),k(o,jp,_),k(o,ro,_),e(ro,Xo),e(Xo,Od),T(La,Od,null),e(ro,$m),e(ro,Id),e(Id,xm),k(o,Ep,_),k(o,Ve,_),T(Ga,Ve,null),e(Ve,Mm),e(Ve,io),e(io,zm),e(io,zi),e(zi,Fm),e(io,qm),e(io,Wa),e(Wa,Bm),e(io,jm),e(Ve,Em),e(Ve,lo),e(lo,Cm),e(lo,Fi),e(Fi,Am),e(lo,Pm),e(lo,qi),e(qi,Sm),e(lo,Om),e(Ve,Im),T(Qo,Ve,null),k(o,Cp,_),k(o,co,_),e(co,Ho),e(Ho,Nd),T(Ra,Nd,null),e(co,Nm),e(co,Dd),e(Dd,Dm),k(o,Ap,_),k(o,ce,_),T(Ua,ce,null),e(ce,Lm),e(ce,Ld),e(Ld,Gm),e(ce,Wm),e(ce,Ct),e(Ct,Rm),e(Ct,Bi),e(Bi,Um),e(Ct,Xm),e(Ct,ji),e(ji,Qm),e(Ct,Hm),e(Ct,Xa),e(Xa,Vm),e(Ct,Km),e(ce,Jm),e(ce,po),e(po,Zm),e(po,Gd),e(Gd,Ym),e(po,ef),e(po,Wd),e(Wd,tf),e(po,of),e(ce,nf),T(Vo,ce,null),e(ce,af),e(ce,at),T(Qa,at,null),e(at,sf),e(at,Ha),e(Ha,rf),e(Ha,Rd),e(Rd,df),e(Ha,lf),e(at,cf),e(at,Va),e(Va,Ka),e(Ka,Ud),e(Ud,pf),e(Ka,uf),e(Ka,Xd),e(Xd,hf),e(Va,mf),e(Va,Ja),e(Ja,Qd),e(Qd,ff),e(Ja,_f),e(Ja,Hd),e(Hd,gf),e(at,kf),e(at,Vd),e(Vd,bf),k(o,Pp,_),k(o,uo,_),e(uo,Ko),e(Ko,Kd),T(Za,Kd,null),e(uo,vf),e(uo,Jd),e(Jd,yf),k(o,Sp,_),k(o,D,_),T(Ya,D,null),e(D,Tf),e(D,ho),e(ho,wf),e(ho,Zd),e(Zd,$f),e(ho,xf),e(ho,es),e(es,Mf),e(ho,zf),e(D,Ff),e(D,ts),e(ts,qf),e(ts,Ei),e(Ei,Bf),e(ts,jf),e(D,Ef),e(D,mo),e(mo,Cf),e(mo,Yd),e(Yd,Af),e(mo,Pf),e(mo,el),e(el,Sf),e(mo,Of),e(D,If),T(Jo,D,null),e(D,Nf),e(D,Ce),T(os,Ce,null),e(Ce,Df),e(Ce,tl),e(tl,Lf),e(Ce,Gf),e(Ce,ns),e(ns,Wf),e(ns,ol),e(ol,Rf),e(ns,Uf),e(Ce,Xf),e(Ce,as),e(as,ss),e(ss,nl),e(nl,Qf),e(ss,Hf),e(ss,al),e(al,Vf),e(as,Kf),e(as,rs),e(rs,sl),e(sl,Jf),e(rs,Zf),e(rs,rl),e(rl,Yf),e(Ce,e_),e(Ce,il),e(il,t_),e(D,o_),e(D,Zo),T(is,Zo,null),e(Zo,n_),e(Zo,dl),e(dl,a_),e(D,s_),e(D,Yo),T(ds,Yo,null),e(Yo,r_),e(Yo,ll),e(ll,i_),e(D,d_),e(D,en),T(ls,en,null),e(en,l_),e(en,cl),e(cl,c_),k(o,Op,_),k(o,fo,_),e(fo,tn),e(tn,pl),T(cs,pl,null),e(fo,p_),e(fo,ul),e(ul,u_),k(o,Ip,_),k(o,L,_),T(ps,L,null),e(L,h_),e(L,us),e(us,m_),e(us,hs),e(hs,f_),e(us,__),e(L,g_),e(L,ms),e(ms,k_),e(ms,Ci),e(Ci,b_),e(ms,v_),e(L,y_),T(on,L,null),e(L,T_),e(L,st),T(fs,st,null),e(st,w_),e(st,_s),e(_s,$_),e(_s,hl),e(hl,x_),e(_s,M_),e(st,z_),e(st,gs),e(gs,ks),e(ks,ml),e(ml,F_),e(ks,q_),e(ks,fl),e(fl,B_),e(gs,j_),e(gs,bs),e(bs,_l),e(_l,E_),e(bs,C_),e(bs,gl),e(gl,A_),e(st,P_),e(st,kl),e(kl,S_),e(L,O_),e(L,nn),T(vs,nn,null),e(nn,I_),e(nn,bl),e(bl,N_),e(L,D_),e(L,an),T(ys,an,null),e(an,L_),e(an,Ts),e(Ts,G_),e(Ts,vl),e(vl,W_),e(Ts,R_),e(L,U_),e(L,sn),T(ws,sn,null),e(sn,X_),e(sn,yl),e(yl,Q_),e(L,H_),e(L,rn),T($s,rn,null),e(rn,V_),e(rn,Tl),e(Tl,K_),k(o,Np,_),k(o,_o,_),e(_o,dn),e(dn,wl),T(xs,wl,null),e(_o,J_),e(_o,$l),e($l,Z_),k(o,Dp,_),k(o,ee,_),T(Ms,ee,null),e(ee,Y_),e(ee,go),e(go,eg),e(go,xl),e(xl,tg),e(go,og),e(go,zs),e(zs,ng),e(go,ag),e(ee,sg),e(ee,Fs),e(Fs,rg),e(Fs,Ai),e(Ai,ig),e(Fs,dg),e(ee,lg),T(ln,ee,null),e(ee,cg),e(ee,Ae),T(qs,Ae,null),e(Ae,pg),e(Ae,Ml),e(Ml,ug),e(Ae,hg),e(Ae,Bs),e(Bs,mg),e(Bs,zl),e(zl,fg),e(Bs,_g),e(Ae,gg),e(Ae,js),e(js,Es),e(Es,Fl),e(Fl,kg),e(Es,bg),e(Es,ql),e(ql,vg),e(js,yg),e(js,Cs),e(Cs,Bl),e(Bl,Tg),e(Cs,wg),e(Cs,jl),e(jl,$g),e(Ae,xg),e(Ae,El),e(El,Mg),e(ee,zg),e(ee,cn),T(As,cn,null),e(cn,Fg),e(cn,Cl),e(Cl,qg),e(ee,Bg),e(ee,pn),T(Ps,pn,null),e(pn,jg),e(pn,Al),e(Al,Eg),k(o,Lp,_),k(o,ko,_),e(ko,un),e(un,Pl),T(Ss,Pl,null),e(ko,Cg),e(ko,Sl),e(Sl,Ag),k(o,Gp,_),k(o,Ke,_),T(Os,Ke,null),e(Ke,Pg),e(Ke,Is),e(Is,Sg),e(Is,Pi),e(Pi,Og),e(Is,Ig),e(Ke,Ng),e(Ke,Ns),e(Ns,Dg),e(Ns,Ds),e(Ds,Lg),e(Ns,Gg),e(Ke,Wg),e(Ke,rt),T(Ls,rt,null),e(rt,Rg),e(rt,bo),e(bo,Ug),e(bo,Si),e(Si,Xg),e(bo,Qg),e(bo,Ol),e(Ol,Hg),e(bo,Vg),e(rt,Kg),T(hn,rt,null),e(rt,Jg),T(mn,rt,null),k(o,Wp,_),k(o,vo,_),e(vo,fn),e(fn,Il),T(Gs,Il,null),e(vo,Zg),e(vo,Nl),e(Nl,Yg),k(o,Rp,_),k(o,Je,_),T(Ws,Je,null),e(Je,ek),e(Je,Rs),e(Rs,tk),e(Rs,Oi),e(Oi,ok),e(Rs,nk),e(Je,ak),e(Je,Us),e(Us,sk),e(Us,Xs),e(Xs,rk),e(Us,ik),e(Je,dk),e(Je,Pe),T(Qs,Pe,null),e(Pe,lk),e(Pe,yo),e(yo,ck),e(yo,Ii),e(Ii,pk),e(yo,uk),e(yo,Dl),e(Dl,hk),e(yo,mk),e(Pe,fk),T(_n,Pe,null),e(Pe,_k),T(gn,Pe,null),e(Pe,gk),T(kn,Pe,null),k(o,Up,_),k(o,To,_),e(To,bn),e(bn,Ll),T(Hs,Ll,null),e(To,kk),e(To,Gl),e(Gl,bk),k(o,Xp,_),k(o,Fe,_),T(Vs,Fe,null),e(Fe,vk),e(Fe,wo),e(wo,yk),e(wo,Wl),e(Wl,Tk),e(wo,wk),e(wo,Rl),e(Rl,$k),e(wo,xk),e(Fe,Mk),e(Fe,Ks),e(Ks,zk),e(Ks,Ni),e(Ni,Fk),e(Ks,qk),e(Fe,Bk),e(Fe,Js),e(Js,jk),e(Js,Zs),e(Zs,Ek),e(Js,Ck),e(Fe,Ak),e(Fe,it),T(Ys,it,null),e(it,Pk),e(it,$o),e($o,Sk),e($o,Di),e(Di,Ok),e($o,Ik),e($o,Ul),e(Ul,Nk),e($o,Dk),e(it,Lk),T(vn,it,null),e(it,Gk),T(yn,it,null),k(o,Qp,_),k(o,xo,_),e(xo,Tn),e(Tn,Xl),T(er,Xl,null),e(xo,Wk),e(xo,Ql),e(Ql,Rk),k(o,Hp,_),k(o,qe,_),T(tr,qe,null),e(qe,Uk),e(qe,Hl),e(Hl,Xk),e(qe,Qk),e(qe,or),e(or,Hk),e(or,Li),e(Li,Vk),e(or,Kk),e(qe,Jk),e(qe,nr),e(nr,Zk),e(nr,ar),e(ar,Yk),e(nr,eb),e(qe,tb),e(qe,Se),T(sr,Se,null),e(Se,ob),e(Se,Mo),e(Mo,nb),e(Mo,Gi),e(Gi,ab),e(Mo,sb),e(Mo,Vl),e(Vl,rb),e(Mo,ib),e(Se,db),T(wn,Se,null),e(Se,lb),T($n,Se,null),e(Se,cb),T(xn,Se,null),k(o,Vp,_),k(o,zo,_),e(zo,Mn),e(Mn,Kl),T(rr,Kl,null),e(zo,pb),e(zo,Jl),e(Jl,ub),k(o,Kp,_),k(o,Fo,_),T(ir,Fo,null),e(Fo,hb),e(Fo,zn),T(dr,zn,null),e(zn,mb),T(Fn,zn,null),k(o,Jp,_),k(o,qo,_),e(qo,qn),e(qn,Zl),T(lr,Zl,null),e(qo,fb),e(qo,Yl),e(Yl,_b),k(o,Zp,_),k(o,Be,_),T(cr,Be,null),e(Be,gb),e(Be,pr),e(pr,kb),e(pr,Wi),e(Wi,bb),e(pr,vb),e(Be,yb),e(Be,ur),e(ur,Tb),e(ur,hr),e(hr,wb),e(ur,$b),e(Be,xb),T(Bn,Be,null),e(Be,Mb),e(Be,dt),T(mr,dt,null),e(dt,zb),e(dt,Bo),e(Bo,Fb),e(Bo,Ri),e(Ri,qb),e(Bo,Bb),e(Bo,ec),e(ec,jb),e(Bo,Eb),e(dt,Cb),T(jn,dt,null),e(dt,Ab),T(En,dt,null),k(o,Yp,_),k(o,jo,_),e(jo,Cn),e(Cn,tc),T(fr,tc,null),e(jo,Pb),e(jo,oc),e(oc,Sb),k(o,eu,_),k(o,je,_),T(_r,je,null),e(je,Ob),e(je,gr),e(gr,Ib),e(gr,Ui),e(Ui,Nb),e(gr,Db),e(je,Lb),e(je,kr),e(kr,Gb),e(kr,br),e(br,Wb),e(kr,Rb),e(je,Ub),T(An,je,null),e(je,Xb),e(je,Oe),T(vr,Oe,null),e(Oe,Qb),e(Oe,Eo),e(Eo,Hb),e(Eo,Xi),e(Xi,Vb),e(Eo,Kb),e(Eo,nc),e(nc,Jb),e(Eo,Zb),e(Oe,Yb),T(Pn,Oe,null),e(Oe,ev),T(Sn,Oe,null),e(Oe,tv),T(On,Oe,null),k(o,tu,_),k(o,Co,_),e(Co,In),e(In,ac),T(yr,ac,null),e(Co,ov),e(Co,sc),e(sc,nv),k(o,ou,_),k(o,Q,_),T(Tr,Q,null),e(Q,av),e(Q,wr),e(wr,sv),e(wr,Qi),e(Qi,rv),e(wr,iv),e(Q,dv),e(Q,$r),e($r,lv),e($r,xr),e(xr,cv),e($r,pv),e(Q,uv),e(Q,rc),e(rc,hv),e(Q,mv),e(Q,At),e(At,ic),e(ic,Mr),e(Mr,fv),e(At,_v),e(At,dc),e(dc,zr),e(zr,gv),e(At,kv),e(At,lc),e(lc,Fr),e(Fr,bv),e(At,vv),e(At,cc),e(cc,qr),e(qr,yv),e(Q,Tv),e(Q,lt),T(Br,lt,null),e(lt,wv),e(lt,Ao),e(Ao,$v),e(Ao,pc),e(pc,xv),e(Ao,Mv),e(Ao,uc),e(uc,zv),e(Ao,Fv),e(lt,qv),T(Nn,lt,null),e(lt,Bv),T(Dn,lt,null),e(Q,jv),e(Q,Ln),T(jr,Ln,null),e(Ln,Ev),T(Gn,Ln,null),e(Q,Cv),e(Q,Wn),T(Er,Wn,null),e(Wn,Av),T(Rn,Wn,null),k(o,nu,_),k(o,Po,_),e(Po,Un),e(Un,hc),T(Cr,hc,null),e(Po,Pv),e(Po,mc),e(mc,Sv),k(o,au,_),k(o,H,_),T(Ar,H,null),e(H,Ov),e(H,Pr),e(Pr,Iv),e(Pr,Hi),e(Hi,Nv),e(Pr,Dv),e(H,Lv),e(H,Sr),e(Sr,Gv),e(Sr,Or),e(Or,Wv),e(Sr,Rv),e(H,Uv),e(H,fc),e(fc,Xv),e(H,Qv),e(H,Pt),e(Pt,_c),e(_c,Ir),e(Ir,Hv),e(Pt,Vv),e(Pt,gc),e(gc,Nr),e(Nr,Kv),e(Pt,Jv),e(Pt,kc),e(kc,Dr),e(Dr,Zv),e(Pt,Yv),e(Pt,bc),e(bc,Lr),e(Lr,ey),e(H,ty),e(H,Ie),T(Gr,Ie,null),e(Ie,oy),e(Ie,So),e(So,ny),e(So,vc),e(vc,ay),e(So,sy),e(So,yc),e(yc,ry),e(So,iy),e(Ie,dy),T(Xn,Ie,null),e(Ie,ly),T(Qn,Ie,null),e(Ie,cy),T(Hn,Ie,null),e(H,py),e(H,Vn),T(Wr,Vn,null),e(Vn,uy),T(Kn,Vn,null),e(H,hy),e(H,Jn),T(Rr,Jn,null),e(Jn,my),T(Zn,Jn,null),k(o,su,_),k(o,Oo,_),e(Oo,Yn),e(Yn,Tc),T(Ur,Tc,null),e(Oo,fy),e(Oo,wc),e(wc,_y),k(o,ru,_),k(o,G,_),T(Xr,G,null),e(G,gy),e(G,$c),e($c,ky),e(G,by),e(G,Qr),e(Qr,vy),e(Qr,Vi),e(Vi,yy),e(Qr,Ty),e(G,wy),e(G,Hr),e(Hr,$y),e(Hr,Vr),e(Vr,xy),e(Hr,My),e(G,zy),e(G,xc),e(xc,Fy),e(G,qy),e(G,St),e(St,Mc),e(Mc,Kr),e(Kr,By),e(St,jy),e(St,zc),e(zc,Jr),e(Jr,Ey),e(St,Cy),e(St,Fc),e(Fc,Zr),e(Zr,Ay),e(St,Py),e(St,qc),e(qc,Yr),e(Yr,Sy),e(G,Oy),e(G,ct),T(ei,ct,null),e(ct,Iy),e(ct,Io),e(Io,Ny),e(Io,Bc),e(Bc,Dy),e(Io,Ly),e(Io,jc),e(jc,Gy),e(Io,Wy),e(ct,Ry),T(ea,ct,null),e(ct,Uy),T(ta,ct,null),e(G,Xy),e(G,oa),T(ti,oa,null),e(oa,Qy),T(na,oa,null),e(G,Hy),e(G,aa),T(oi,aa,null),e(aa,Vy),T(sa,aa,null),k(o,iu,_),k(o,No,_),e(No,ra),e(ra,Ec),T(ni,Ec,null),e(No,Ky),e(No,Cc),e(Cc,Jy),k(o,du,_),k(o,W,_),T(ai,W,null),e(W,Zy),e(W,Do),e(Do,Yy),e(Do,Ac),e(Ac,eT),e(Do,tT),e(Do,Pc),e(Pc,oT),e(Do,nT),e(W,aT),e(W,si),e(si,sT),e(si,Ki),e(Ki,rT),e(si,iT),e(W,dT),e(W,ri),e(ri,lT),e(ri,ii),e(ii,cT),e(ri,pT),e(W,uT),e(W,Sc),e(Sc,hT),e(W,mT),e(W,Ot),e(Ot,Oc),e(Oc,di),e(di,fT),e(Ot,_T),e(Ot,Ic),e(Ic,li),e(li,gT),e(Ot,kT),e(Ot,Nc),e(Nc,ci),e(ci,bT),e(Ot,vT),e(Ot,Dc),e(Dc,pi),e(pi,yT),e(W,TT),e(W,pt),T(ui,pt,null),e(pt,wT),e(pt,Lo),e(Lo,$T),e(Lo,Lc),e(Lc,xT),e(Lo,MT),e(Lo,Gc),e(Gc,zT),e(Lo,FT),e(pt,qT),T(ia,pt,null),e(pt,BT),T(da,pt,null),e(W,jT),e(W,la),T(hi,la,null),e(la,ET),T(ca,la,null),e(W,CT),e(W,pa),T(mi,pa,null),e(pa,AT),T(ua,pa,null),lu=!0},p(o,[_]){const fi={};_&2&&(fi.$$scope={dirty:_,ctx:o}),Qo.$set(fi);const Wc={};_&2&&(Wc.$$scope={dirty:_,ctx:o}),Vo.$set(Wc);const Rc={};_&2&&(Rc.$$scope={dirty:_,ctx:o}),Jo.$set(Rc);const Uc={};_&2&&(Uc.$$scope={dirty:_,ctx:o}),on.$set(Uc);const ha={};_&2&&(ha.$$scope={dirty:_,ctx:o}),ln.$set(ha);const Xc={};_&2&&(Xc.$$scope={dirty:_,ctx:o}),hn.$set(Xc);const Qc={};_&2&&(Qc.$$scope={dirty:_,ctx:o}),mn.$set(Qc);const _i={};_&2&&(_i.$$scope={dirty:_,ctx:o}),_n.$set(_i);const Hc={};_&2&&(Hc.$$scope={dirty:_,ctx:o}),gn.$set(Hc);const Vc={};_&2&&(Vc.$$scope={dirty:_,ctx:o}),kn.$set(Vc);const Kc={};_&2&&(Kc.$$scope={dirty:_,ctx:o}),vn.$set(Kc);const gi={};_&2&&(gi.$$scope={dirty:_,ctx:o}),yn.$set(gi);const Jc={};_&2&&(Jc.$$scope={dirty:_,ctx:o}),wn.$set(Jc);const Zc={};_&2&&(Zc.$$scope={dirty:_,ctx:o}),$n.$set(Zc);const ma={};_&2&&(ma.$$scope={dirty:_,ctx:o}),xn.$set(ma);const Yc={};_&2&&(Yc.$$scope={dirty:_,ctx:o}),Fn.$set(Yc);const ep={};_&2&&(ep.$$scope={dirty:_,ctx:o}),Bn.$set(ep);const ki={};_&2&&(ki.$$scope={dirty:_,ctx:o}),jn.$set(ki);const tp={};_&2&&(tp.$$scope={dirty:_,ctx:o}),En.$set(tp);const op={};_&2&&(op.$$scope={dirty:_,ctx:o}),An.$set(op);const np={};_&2&&(np.$$scope={dirty:_,ctx:o}),Pn.$set(np);const Ze={};_&2&&(Ze.$$scope={dirty:_,ctx:o}),Sn.$set(Ze);const ap={};_&2&&(ap.$$scope={dirty:_,ctx:o}),On.$set(ap);const sp={};_&2&&(sp.$$scope={dirty:_,ctx:o}),Nn.$set(sp);const rp={};_&2&&(rp.$$scope={dirty:_,ctx:o}),Dn.$set(rp);const ip={};_&2&&(ip.$$scope={dirty:_,ctx:o}),Gn.$set(ip);const It={};_&2&&(It.$$scope={dirty:_,ctx:o}),Rn.$set(It);const Ji={};_&2&&(Ji.$$scope={dirty:_,ctx:o}),Xn.$set(Ji);const dp={};_&2&&(dp.$$scope={dirty:_,ctx:o}),Qn.$set(dp);const lp={};_&2&&(lp.$$scope={dirty:_,ctx:o}),Hn.$set(lp);const cp={};_&2&&(cp.$$scope={dirty:_,ctx:o}),Kn.$set(cp);const pp={};_&2&&(pp.$$scope={dirty:_,ctx:o}),Zn.$set(pp);const up={};_&2&&(up.$$scope={dirty:_,ctx:o}),ea.$set(up);const hp={};_&2&&(hp.$$scope={dirty:_,ctx:o}),ta.$set(hp);const bi={};_&2&&(bi.$$scope={dirty:_,ctx:o}),na.$set(bi);const mp={};_&2&&(mp.$$scope={dirty:_,ctx:o}),sa.$set(mp);const Go={};_&2&&(Go.$$scope={dirty:_,ctx:o}),ia.$set(Go);const fp={};_&2&&(fp.$$scope={dirty:_,ctx:o}),da.$set(fp);const _p={};_&2&&(_p.$$scope={dirty:_,ctx:o}),ca.$set(_p);const vi={};_&2&&(vi.$$scope={dirty:_,ctx:o}),ua.$set(vi)},i(o){lu||(w(n.$$.fragment,o),w(K.$$.fragment,o),w($e.$$.fragment,o),w(Ea.$$.fragment,o),w(Aa.$$.fragment,o),w(Pa.$$.fragment,o),w(Oa.$$.fragment,o),w(Ia.$$.fragment,o),w(Da.$$.fragment,o),w(La.$$.fragment,o),w(Ga.$$.fragment,o),w(Qo.$$.fragment,o),w(Ra.$$.fragment,o),w(Ua.$$.fragment,o),w(Vo.$$.fragment,o),w(Qa.$$.fragment,o),w(Za.$$.fragment,o),w(Ya.$$.fragment,o),w(Jo.$$.fragment,o),w(os.$$.fragment,o),w(is.$$.fragment,o),w(ds.$$.fragment,o),w(ls.$$.fragment,o),w(cs.$$.fragment,o),w(ps.$$.fragment,o),w(on.$$.fragment,o),w(fs.$$.fragment,o),w(vs.$$.fragment,o),w(ys.$$.fragment,o),w(ws.$$.fragment,o),w($s.$$.fragment,o),w(xs.$$.fragment,o),w(Ms.$$.fragment,o),w(ln.$$.fragment,o),w(qs.$$.fragment,o),w(As.$$.fragment,o),w(Ps.$$.fragment,o),w(Ss.$$.fragment,o),w(Os.$$.fragment,o),w(Ls.$$.fragment,o),w(hn.$$.fragment,o),w(mn.$$.fragment,o),w(Gs.$$.fragment,o),w(Ws.$$.fragment,o),w(Qs.$$.fragment,o),w(_n.$$.fragment,o),w(gn.$$.fragment,o),w(kn.$$.fragment,o),w(Hs.$$.fragment,o),w(Vs.$$.fragment,o),w(Ys.$$.fragment,o),w(vn.$$.fragment,o),w(yn.$$.fragment,o),w(er.$$.fragment,o),w(tr.$$.fragment,o),w(sr.$$.fragment,o),w(wn.$$.fragment,o),w($n.$$.fragment,o),w(xn.$$.fragment,o),w(rr.$$.fragment,o),w(ir.$$.fragment,o),w(dr.$$.fragment,o),w(Fn.$$.fragment,o),w(lr.$$.fragment,o),w(cr.$$.fragment,o),w(Bn.$$.fragment,o),w(mr.$$.fragment,o),w(jn.$$.fragment,o),w(En.$$.fragment,o),w(fr.$$.fragment,o),w(_r.$$.fragment,o),w(An.$$.fragment,o),w(vr.$$.fragment,o),w(Pn.$$.fragment,o),w(Sn.$$.fragment,o),w(On.$$.fragment,o),w(yr.$$.fragment,o),w(Tr.$$.fragment,o),w(Br.$$.fragment,o),w(Nn.$$.fragment,o),w(Dn.$$.fragment,o),w(jr.$$.fragment,o),w(Gn.$$.fragment,o),w(Er.$$.fragment,o),w(Rn.$$.fragment,o),w(Cr.$$.fragment,o),w(Ar.$$.fragment,o),w(Gr.$$.fragment,o),w(Xn.$$.fragment,o),w(Qn.$$.fragment,o),w(Hn.$$.fragment,o),w(Wr.$$.fragment,o),w(Kn.$$.fragment,o),w(Rr.$$.fragment,o),w(Zn.$$.fragment,o),w(Ur.$$.fragment,o),w(Xr.$$.fragment,o),w(ei.$$.fragment,o),w(ea.$$.fragment,o),w(ta.$$.fragment,o),w(ti.$$.fragment,o),w(na.$$.fragment,o),w(oi.$$.fragment,o),w(sa.$$.fragment,o),w(ni.$$.fragment,o),w(ai.$$.fragment,o),w(ui.$$.fragment,o),w(ia.$$.fragment,o),w(da.$$.fragment,o),w(hi.$$.fragment,o),w(ca.$$.fragment,o),w(mi.$$.fragment,o),w(ua.$$.fragment,o),lu=!0)},o(o){$(n.$$.fragment,o),$(K.$$.fragment,o),$($e.$$.fragment,o),$(Ea.$$.fragment,o),$(Aa.$$.fragment,o),$(Pa.$$.fragment,o),$(Oa.$$.fragment,o),$(Ia.$$.fragment,o),$(Da.$$.fragment,o),$(La.$$.fragment,o),$(Ga.$$.fragment,o),$(Qo.$$.fragment,o),$(Ra.$$.fragment,o),$(Ua.$$.fragment,o),$(Vo.$$.fragment,o),$(Qa.$$.fragment,o),$(Za.$$.fragment,o),$(Ya.$$.fragment,o),$(Jo.$$.fragment,o),$(os.$$.fragment,o),$(is.$$.fragment,o),$(ds.$$.fragment,o),$(ls.$$.fragment,o),$(cs.$$.fragment,o),$(ps.$$.fragment,o),$(on.$$.fragment,o),$(fs.$$.fragment,o),$(vs.$$.fragment,o),$(ys.$$.fragment,o),$(ws.$$.fragment,o),$($s.$$.fragment,o),$(xs.$$.fragment,o),$(Ms.$$.fragment,o),$(ln.$$.fragment,o),$(qs.$$.fragment,o),$(As.$$.fragment,o),$(Ps.$$.fragment,o),$(Ss.$$.fragment,o),$(Os.$$.fragment,o),$(Ls.$$.fragment,o),$(hn.$$.fragment,o),$(mn.$$.fragment,o),$(Gs.$$.fragment,o),$(Ws.$$.fragment,o),$(Qs.$$.fragment,o),$(_n.$$.fragment,o),$(gn.$$.fragment,o),$(kn.$$.fragment,o),$(Hs.$$.fragment,o),$(Vs.$$.fragment,o),$(Ys.$$.fragment,o),$(vn.$$.fragment,o),$(yn.$$.fragment,o),$(er.$$.fragment,o),$(tr.$$.fragment,o),$(sr.$$.fragment,o),$(wn.$$.fragment,o),$($n.$$.fragment,o),$(xn.$$.fragment,o),$(rr.$$.fragment,o),$(ir.$$.fragment,o),$(dr.$$.fragment,o),$(Fn.$$.fragment,o),$(lr.$$.fragment,o),$(cr.$$.fragment,o),$(Bn.$$.fragment,o),$(mr.$$.fragment,o),$(jn.$$.fragment,o),$(En.$$.fragment,o),$(fr.$$.fragment,o),$(_r.$$.fragment,o),$(An.$$.fragment,o),$(vr.$$.fragment,o),$(Pn.$$.fragment,o),$(Sn.$$.fragment,o),$(On.$$.fragment,o),$(yr.$$.fragment,o),$(Tr.$$.fragment,o),$(Br.$$.fragment,o),$(Nn.$$.fragment,o),$(Dn.$$.fragment,o),$(jr.$$.fragment,o),$(Gn.$$.fragment,o),$(Er.$$.fragment,o),$(Rn.$$.fragment,o),$(Cr.$$.fragment,o),$(Ar.$$.fragment,o),$(Gr.$$.fragment,o),$(Xn.$$.fragment,o),$(Qn.$$.fragment,o),$(Hn.$$.fragment,o),$(Wr.$$.fragment,o),$(Kn.$$.fragment,o),$(Rr.$$.fragment,o),$(Zn.$$.fragment,o),$(Ur.$$.fragment,o),$(Xr.$$.fragment,o),$(ei.$$.fragment,o),$(ea.$$.fragment,o),$(ta.$$.fragment,o),$(ti.$$.fragment,o),$(na.$$.fragment,o),$(oi.$$.fragment,o),$(sa.$$.fragment,o),$(ni.$$.fragment,o),$(ai.$$.fragment,o),$(ui.$$.fragment,o),$(ia.$$.fragment,o),$(da.$$.fragment,o),$(hi.$$.fragment,o),$(ca.$$.fragment,o),$(mi.$$.fragment,o),$(ua.$$.fragment,o),lu=!1},d(o){t(l),o&&t(b),o&&t(f),x(n),o&&t(Ye),o&&t(U),o&&t(et),o&&t(X),x(K),o&&t(tt),o&&t(ue),o&&t(S),o&&t(I),o&&t(he),o&&t(re),o&&t(me),o&&t(ie),x($e),o&&t(_e),o&&t(R),o&&t(Nt),o&&t(te),o&&t(Ee),o&&t(ot),o&&t(gp),x(Ea,o),o&&t(kp),o&&t(yi),o&&t(bp),x(Aa,o),o&&t(vp),o&&t(ao),x(Pa),o&&t(yp),o&&t(Dt),o&&t(Tp),o&&t(Ti),o&&t(wp),o&&t(wi),o&&t($p),o&&t(so),x(Oa),o&&t(xp),o&&t(nt),o&&t(Mp),o&&t(Uo),o&&t(zp),o&&t(xi),o&&t(Fp),x(Ia,o),o&&t(qp),o&&t(Mi),o&&t(Bp),x(Da,o),o&&t(jp),o&&t(ro),x(La),o&&t(Ep),o&&t(Ve),x(Ga),x(Qo),o&&t(Cp),o&&t(co),x(Ra),o&&t(Ap),o&&t(ce),x(Ua),x(Vo),x(Qa),o&&t(Pp),o&&t(uo),x(Za),o&&t(Sp),o&&t(D),x(Ya),x(Jo),x(os),x(is),x(ds),x(ls),o&&t(Op),o&&t(fo),x(cs),o&&t(Ip),o&&t(L),x(ps),x(on),x(fs),x(vs),x(ys),x(ws),x($s),o&&t(Np),o&&t(_o),x(xs),o&&t(Dp),o&&t(ee),x(Ms),x(ln),x(qs),x(As),x(Ps),o&&t(Lp),o&&t(ko),x(Ss),o&&t(Gp),o&&t(Ke),x(Os),x(Ls),x(hn),x(mn),o&&t(Wp),o&&t(vo),x(Gs),o&&t(Rp),o&&t(Je),x(Ws),x(Qs),x(_n),x(gn),x(kn),o&&t(Up),o&&t(To),x(Hs),o&&t(Xp),o&&t(Fe),x(Vs),x(Ys),x(vn),x(yn),o&&t(Qp),o&&t(xo),x(er),o&&t(Hp),o&&t(qe),x(tr),x(sr),x(wn),x($n),x(xn),o&&t(Vp),o&&t(zo),x(rr),o&&t(Kp),o&&t(Fo),x(ir),x(dr),x(Fn),o&&t(Jp),o&&t(qo),x(lr),o&&t(Zp),o&&t(Be),x(cr),x(Bn),x(mr),x(jn),x(En),o&&t(Yp),o&&t(jo),x(fr),o&&t(eu),o&&t(je),x(_r),x(An),x(vr),x(Pn),x(Sn),x(On),o&&t(tu),o&&t(Co),x(yr),o&&t(ou),o&&t(Q),x(Tr),x(Br),x(Nn),x(Dn),x(jr),x(Gn),x(Er),x(Rn),o&&t(nu),o&&t(Po),x(Cr),o&&t(au),o&&t(H),x(Ar),x(Gr),x(Xn),x(Qn),x(Hn),x(Wr),x(Kn),x(Rr),x(Zn),o&&t(su),o&&t(Oo),x(Ur),o&&t(ru),o&&t(G),x(Xr),x(ei),x(ea),x(ta),x(ti),x(na),x(oi),x(sa),o&&t(iu),o&&t(No),x(ni),o&&t(du),o&&t(W),x(ai),x(ui),x(ia),x(da),x(hi),x(ca),x(mi),x(ua)}}}const vx={local:"mbart-and-mbart50",sections:[{local:"overview-of-mbart",sections:[{local:"training-of-mbart",title:"Training of MBart"}],title:"Overview of MBart"},{local:"overview-of-mbart50",sections:[{local:"training-of-mbart50",title:"Training of MBart-50"}],title:"Overview of MBart-50"},{local:"transformers.MBartConfig",title:"MBartConfig"},{local:"transformers.MBartTokenizer",title:"MBartTokenizer"},{local:"transformers.MBartTokenizerFast",title:"MBartTokenizerFast"},{local:"transformers.MBart50Tokenizer",title:"MBart50Tokenizer"},{local:"transformers.MBart50TokenizerFast",title:"MBart50TokenizerFast"},{local:"transformers.MBartModel",title:"MBartModel"},{local:"transformers.MBartForConditionalGeneration",title:"MBartForConditionalGeneration"},{local:"transformers.MBartForQuestionAnswering",title:"MBartForQuestionAnswering"},{local:"transformers.MBartForSequenceClassification",title:"MBartForSequenceClassification"},{local:"transformers.MBartForCausalLM",title:"MBartForCausalLM"},{local:"transformers.TFMBartModel",title:"TFMBartModel"},{local:"transformers.TFMBartForConditionalGeneration",title:"TFMBartForConditionalGeneration"},{local:"transformers.FlaxMBartModel",title:"FlaxMBartModel"},{local:"transformers.FlaxMBartForConditionalGeneration",title:"FlaxMBartForConditionalGeneration"},{local:"transformers.FlaxMBartForSequenceClassification",title:"FlaxMBartForSequenceClassification"},{local:"transformers.FlaxMBartForQuestionAnswering",title:"FlaxMBartForQuestionAnswering"}],title:"MBart and MBart-50"};function yx(M){return E$(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fx extends F${constructor(l){super();q$(this,l,yx,bx,B$,{})}}export{Fx as default,vx as metadata};
